Sync with portage [Fri Mar 2 13:05:41 MSK 2012].

mhiretskiy
root 12 years ago
parent 78c323054b
commit 8bb4d2d9df

@ -1,7 +1,3 @@
DIST sleuthkit-2.09.tar.gz 2027006 RMD160 0d7247c533f35f0cb7d11ead8d2242533d89fda4 SHA1 9d2db6868026d887a83b0becb4d95a69527df457 SHA256 43c62d9c2767a0acee4e9aab895c743c2ecdc758ebfab2d0062ddf353ebf2803
DIST sleuthkit-2.09_dbtool.patch.bz2 9049 RMD160 e88c225929a2286d223e44d4ecf26abf2d6456ff SHA1 46f57860e77ddbc4c4c0c055639b6ab4852abb7c SHA256 7cdf4611634c318731b686059e2114f5b418d45ed5eefdcea90847ce0386d6e3
DIST sleuthkit-3.0.0.tar.gz 814597 RMD160 971213ab039ebe3c7020ab890e43d17a2f89bc4c SHA1 0993bf745579cac48654d0b2efc0d8c548f44273 SHA256 372b72ef90f6e25864780ac9423d47a56c60a1cab3566c4ea27907deff1f2f39
DIST sleuthkit-3.1.0.tar.gz 842104 RMD160 543f7fae08a289bf11d2caa8c0d0c091cb909038 SHA1 60a597d394841360c2130a9060333ad7a6482e17 SHA256 f6f5b9d0206aa057e83a3dee3be6ebea59843c5ae44af39f415ccac28e1c4dc5
DIST sleuthkit-3.2.1.tar.gz 2033920 RMD160 d20a6e46da9aef30117f93a24701a18c5d513626 SHA1 07966f3b95e00569d0df826fa713b8272b272bf6 SHA256 e0f257d2c6856dc1c1cd2a704c6cb8906ca688f0cdbb1d0665fd7a5a2f83ad37
DIST sleuthkit-3.2.2.tar.gz 2035364 RMD160 377278239d61397c11bac3a01544edbba9efaec6 SHA1 459b622e0099f2d7c9e75d49fd44c23cda8ff887 SHA256 f2558b79c2ebc259a0e1eb6a3035b5f9aa8021a47cb0ade36d01beb57b99110a
DIST sleuthkit-3.2.3.tar.gz 2039699 RMD160 ee9849ff34bd7d1ce90819f22f1e09a71e4d0e8c SHA1 85d100ffde54f051916a4ea9452563ff85fad4ac SHA256 ba5f63d7fd60d978de03777c72b1571004caa8dfe384f09757b6a8efa890ea62

@ -1,105 +0,0 @@
diff -uNr -r sleuthkit-2.08-orig/src/fstools/fscheck.c sleuthkit-2.08/src/fstools/fscheck.c
--- sleuthkit-2.08-orig/src/fstools/fscheck.c 2007-03-13 21:05:37.000000000 +0100
+++ sleuthkit-2.08/src/fstools/fscheck.c 2007-04-11 18:03:00.000000000 +0200
@@ -11,8 +11,10 @@
** This software is distributed under the Common Public License 1.0
**
*/
+#include <locale.h>
#include "fs_tools.h"
+static TSK_TCHAR *progname;
static void
usage()
@@ -36,58 +38,71 @@
int
main(int argc, char **argv)
{
- char *fstype = NULL;
+ TSK_TCHAR *fstype = NULL;
int ch;
- FS_INFO *fs;
- char *imgtype = NULL, *imgoff = NULL;
- IMG_INFO *img;
+ TSK_FS_INFO *fs;
+ TSK_TCHAR *imgtype = NULL;
+ SSIZE_T imgoff = 0;
+ TSK_IMG_INFO *img;
progname = argv[0];
+ setlocale(LC_ALL, "");
- while ((ch = getopt(argc, argv, "f:i:o:vV")) > 0) {
+ while ((ch = getopt(argc, argv, _TSK_T("f:i:o:vV"))) > 0) {
switch (ch) {
- case '?':
+ case _TSK_T('?'):
default:
- fprintf(stderr, "Invalid argument: %s\n", argv[optind]);
+ fprintf(stderr, _TSK_T("Invalid argument: %s\n"), argv[optind]);
usage();
- case 'f':
+ case _TSK_T('f'):
fstype = optarg;
+ if (TSTRCMP(fstype, _TSK_T("list")) == 0) {
+ tsk_fs_print_types(stderr);
+ exit(1);
+ }
break;
- case 'i':
+ case _TSK_T('i'):
imgtype = optarg;
+ if (TSTRCMP(imgtype, _TSK_T("list")) == 0) {
+ tsk_img_print_types(stderr);
+ exit(1);
+ }
break;
- case 'o':
- imgoff = optarg;
+ case _TSK_T('o'):
+ if ((imgoff = tsk_parse_offset(optarg)) == -1) {
+ tsk_error_print(stderr);
+ exit(1);
+ }
break;
- case 'v':
- verbose++;
+ case _TSK_T('v'):
+ tsk_verbose++;
break;
- case 'V':
- print_version(stdout);
+ case _TSK_T('V'):
+ tsk_print_version(stdout);
exit(0);
}
}
/* We need at least one more argument */
if (optind >= argc) {
- fprintf(stderr, "Missing image name\n");
+ tsk_fprintf(stderr, "Missing image name\n");
usage();
}
img =
- img_open(imgtype, imgoff, argc - optind,
- (const char **) &argv[optind]);
+ tsk_img_open(imgtype, argc - optind,
+ (const TSK_TCHAR **) &argv[optind]);
if (img == NULL) {
tsk_error_print(stderr);
exit(1);
}
- if (fs = fs_open(img, fstype)) {
+ if (fs = tsk_fs_open(img, imgoff, fstype)) {
if (tsk_errno == TSK_ERR_FS_UNSUPTYPE)
tsk_print_types(stderr);

@ -1,92 +0,0 @@
diff -uNr -r sleuthkit-2.08-orig/src/disktools/Makefile sleuthkit-2.08/src/disktools/Makefile
--- sleuthkit-2.08-orig/src/disktools/Makefile 2006-07-20 23:06:18.000000000 +0200
+++ sleuthkit-2.08/src/disktools/Makefile 2007-04-11 17:07:09.982355393 +0200
@@ -6,12 +6,19 @@
BIN = ../../bin
PROGS = $(BIN)/disk_stat $(BIN)/disk_sreset
CFLAGS = $(DEFS) $(INCL) $(OPT) $(DEBUG) -I. -I ../auxtools/ $(XFLAGS)
+
+LIBOBJ = disk_stat.o disk_sreset.o ide.o
LIBS = -L../../lib -ltsk
+LIB = ../../lib/libtsk.a
defs:
@CC="$(CC)" sh ../makedefs $(MAKE)
-all: $(PROGS)
+all: lib $(PROGS)
+
+lib: $(LIBOBJ)
+ $(AR) $(LIB) $?
+ $(RANLIB) $(LIB)
$(BIN)/disk_stat: disk_stat.o ide.o
$(CC) $(CFLAGS) -o $@ disk_stat.o ide.o $(LIBS)
diff -uNr -r sleuthkit-2.08-orig/src/fstools/Makefile sleuthkit-2.08/src/fstools/Makefile
--- sleuthkit-2.08-orig/src/fstools/Makefile 2007-02-22 06:47:12.000000000 +0100
+++ sleuthkit-2.08/src/fstools/Makefile 2007-04-11 17:16:39.145986814 +0200
@@ -9,12 +9,12 @@
INCL = -I../auxtools -I../imgtools
CFLAGS = $(DEFS) $(INCL) $(OPT) $(DEBUG)
LIBOBJ = fs_inode.o fs_io.o fs_open.o \
- fs_dent.o fs_types.o fs_data.o fs_load.o \
+ fs_dent.o fs_types.o fs_data.o fs_load.o fsstat.o fscheck.o \
ffs.o ffs_dent.o ext2fs.o ext2fs_dent.o ext2fs_journal.o \
fatfs.o fatfs_dent.o ntfs.o ntfs_dent.o swapfs.o rawfs.o \
- dcalc_lib.o dcat_lib.o dls_lib.o dstat_lib.o ffind_lib.o \
- fls_lib.o icat_lib.o ifind_lib.o ils_lib.o \
- iso9660.o iso9660_dent.o \
+ dcalc.o dcalc_lib.o dcat.o dcat_lib.o dls.o dls_lib.o dstat.o dstat_lib.o ffind_lib.o \
+ fls.o fls_lib.o icat.o icat_lib.o ifind.o ifind_lib.o ils.o ils_lib.o istat.o \
+ iso9660.o iso9660_dent.o jls.o jcat.o \
hfs.o hfs_dent.o hfs_journal.o
LIBS = -L../../lib -ltsk -lz -lcrypto
diff -uNr -r sleuthkit-2.08-orig/src/hashtools/Makefile sleuthkit-2.08/src/hashtools/Makefile
--- sleuthkit-2.08-orig/src/hashtools/Makefile 2007-03-27 20:49:46.000000000 +0200
+++ sleuthkit-2.08/src/hashtools/Makefile 2007-04-11 17:10:10.286508943 +0200
@@ -7,7 +7,7 @@
PROGS = $(BIN)/hfind
CFLAGS = $(DEFS) $(INCL) $(OPT) $(DEBUG) -I. -I../auxtools $(XFLAGS)
-LIBOBJ = tm_lookup.o nsrl_index.o md5sum_index.o hk_index.o idxonly_index.o
+LIBOBJ = tm_lookup.o nsrl_index.o md5sum_index.o hk_index.o idxonly_index.o hfind.o
LIB = ../../lib/libtsk.a
defs:
diff -uNr -r sleuthkit-2.08-orig/src/imgtools/Makefile sleuthkit-2.08/src/imgtools/Makefile
--- sleuthkit-2.08-orig/src/imgtools/Makefile 2006-08-23 16:17:53.000000000 +0200
+++ sleuthkit-2.08/src/imgtools/Makefile 2007-04-11 17:09:22.977220557 +0200
@@ -7,7 +7,7 @@
DEBUG = -g
INCL = -I../auxtools -I../afflib/lib -I../libewf/src/
CFLAGS = $(DEFS) $(INCL) $(OPT) $(DEBUG)
-LIBOBJ = img_open.o img_types.o raw.o split.o aff.o ewf.o
+LIBOBJ = img_open.o img_types.o raw.o split.o aff.o ewf.o img_stat.o img_cat.o
LIBS = -L../../lib -ltsk -lz -lcrypto
LIB = ../../lib/libtsk.a
BIN_DIR = ../../bin
diff -uNr -r sleuthkit-2.08-orig/src/mmtools/Makefile sleuthkit-2.08/src/mmtools/Makefile
--- sleuthkit-2.08-orig/src/mmtools/Makefile 2007-04-04 20:48:46.000000000 +0200
+++ sleuthkit-2.08/src/mmtools/Makefile 2007-04-11 17:08:56.842299225 +0200
@@ -7,7 +7,7 @@
DEBUG = -g
INCL = -I../auxtools -I../imgtools
CFLAGS = $(DEFS) $(INCL) $(OPT) $(DEBUG)
-LIBOBJ = mm_part.o mm_open.o mm_io.o mm_types.o dos.o mac.o bsd.o sun.o gpt.o
+LIBOBJ = mm_part.o mm_open.o mm_io.o mm_types.o dos.o mac.o bsd.o sun.o gpt.o mmls.o mmstat.o
LIBS = -L../../lib -ltsk -lz -lcrypto
LIB = ../../lib/libtsk.a
BIN_DIR = ../../bin
diff -uNr -r sleuthkit-2.08-orig/src/srchtools/Makefile sleuthkit-2.08/src/srchtools/Makefile
--- sleuthkit-2.08-orig/src/srchtools/Makefile 2006-07-20 23:06:18.000000000 +0200
+++ sleuthkit-2.08/src/srchtools/Makefile 2007-04-11 17:07:09.986355838 +0200
@@ -7,7 +7,7 @@
PROGS = $(BIN)/srch_strings $(BIN)/sigfind
CFLAGS = $(DEFS) $(INCL) $(OPT) $(DEBUG) -I. -I ../auxtools $(XFLAGS)
-LIBOBJ = srch_strings.o
+LIBOBJ = srch_strings.o sigfind.o
LIBS = -L../../lib -ltsk
LIB = ../../lib/libtsk.a

@ -2,11 +2,7 @@
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<herd>forensics</herd>
<maintainer>
<email>forensics@gentoo.org</email>
</maintainer>
<use>
<flag name='dbtool'>Add patch for dbtool interface from PyFlag</flag>
<flag name='aff'>Enable extra aff formats</flag>
<flag name='ewf'>Enable libewf support</flag>
</use>

@ -1,62 +0,0 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-forensics/sleuthkit/sleuthkit-2.09.ebuild,v 1.8 2011/07/24 18:22:23 armin76 Exp $
inherit toolchain-funcs eutils
DESCRIPTION="A collection of file system and media management forensic analysis tools"
HOMEPAGE="http://www.sleuthkit.org/sleuthkit/"
SRC_URI="mirror://sourceforge/sleuthkit/${P}.tar.gz
dbtool? ( mirror://gentoo/${P}_dbtool.patch.bz2 ) "
LICENSE="GPL-2 IBM"
SLOT="0"
KEYWORDS="amd64 hppa ppc x86"
IUSE="dbtool"
RDEPEND="dev-perl/DateManip"
src_unpack() {
unpack ${A}
cd ${S}
use dbtool && epatch "${WORKDIR}/${P}_dbtool.patch"
epatch "${FILESDIR}/${PN}-makefiles_fix.patch"
epatch "${FILESDIR}/${PN}-fscheck.c_fix.patch"
sed -i '63,69d' src/timeline/config-perl || die "sed config-perl failed"
sed -i 's:`cd ../..; pwd`:/usr:' src/sorter/install \
|| die "sed install failed"
}
src_compile() {
export CC="$(tc-getCC)" OPT="${CFLAGS}"
# Targets: this is so it doesn't remake sys-apps/file
# -j1: it really doesn't compile well with -j2 or more,
# even after having fixed the Makefiles... :(
env -u CFLAGS \
emake -j1 -e bin no-perl sorter mactime || die "make failed"
}
src_install() {
dobin bin/* || die "dobin failed"
if has_version 'sys-apps/dstat' ; then
mv ${D}/usr/bin/dstat ${D}/usr/bin/dstat-dsk
echo
ewarn "You are installing sleuthkit while you have sys-apps/dstat"
ewarn "already installed."
ewarn "app-forensics/sleuthkit provides /usr/bin/dstat which is a tool"
ewarn "that displays details of a data structure, while sys-apps/dstat"
ewarn "provides /usr/bin/dstat as a system statistics tool."
echo
ewarn "The Sleuth Kit dstat binary has been renamed to"
ewarn "/usr/bin/dstat-tsk (see bug 131268). This may cause trouble with"
ewarn "applications using sleuthkit such as Autopsy. You may prefer"
ewarn "to unmerge sys-apps/dstat and re-emerge app-forensics/sleuthkit."
echo
fi
dodoc docs/*.txt
docinto api-doc
dohtml docs/api-doc/*
insinto /usr/share/sorter
doins share/sorter/*
doman man/man1/*
}

@ -1,38 +0,0 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-forensics/sleuthkit/sleuthkit-3.0.0-r1.ebuild,v 1.6 2011/07/24 18:22:23 armin76 Exp $
inherit eutils flag-o-matic autotools
SLOT=0
DESCRIPTION="A collection of file system and media management forensic analysis tools"
HOMEPAGE="http://www.sleuthkit.org/sleuthkit/"
SRC_URI="mirror://sourceforge/sleuthkit/${P}.tar.gz"
LICENSE="GPL-2 IBM"
KEYWORDS="~amd64 ~hppa ~ppc ~x86"
DEPEND="ewf? ( app-forensics/libewf )
aff? ( app-forensics/afflib )"
RDEPEND="${DEPEND}
dev-perl/DateManip"
IUSE="aff ewf"
src_unpack() {
unpack ${A}
cd "${S}"
# AC_FUNC_REALLOC in configure.ac that hasn't been propagated
eautoreconf
}
src_compile() {
econf || die "configure failed"
emake || die "make failed"
}
src_install() {
emake install DESTDIR="${D}" || die
dodoc docs/*.txt README.txt CHANGES.txt TODO.txt
}

@ -1,38 +0,0 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-forensics/sleuthkit/sleuthkit-3.1.0.ebuild,v 1.3 2011/07/24 18:22:23 armin76 Exp $
inherit eutils flag-o-matic autotools
SLOT=0
DESCRIPTION="A collection of file system and media management forensic analysis tools"
HOMEPAGE="http://www.sleuthkit.org/sleuthkit/"
SRC_URI="mirror://sourceforge/sleuthkit/${P}.tar.gz"
LICENSE="GPL-2 IBM"
KEYWORDS="~amd64 ~hppa ~ppc ~x86"
DEPEND="ewf? ( app-forensics/libewf )
aff? ( app-forensics/afflib )"
RDEPEND="${DEPEND}
dev-perl/DateManip"
IUSE="aff ewf"
src_unpack() {
unpack ${A}
cd "${S}"
# AC_FUNC_REALLOC in configure.ac that hasn't been propagated
eautoreconf
}
src_compile() {
econf || die "configure failed"
emake || die "make failed"
}
src_install() {
emake install DESTDIR="${D}" || die
dodoc docs/*.txt README.txt CHANGES.txt TODO.txt
}

@ -2,9 +2,8 @@
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer>
<email>hwoarang@gentoo.org</email>
<name>Markos Chandras</name>
<description>Proxy maintainer. CC him on bugs</description>
<email>grobian@gentoo.org</email>
<name>Fabian Groffen</name>
</maintainer>
<maintainer>
<email>corentin.labbe@geomatys.fr</email>

@ -5,6 +5,8 @@ DIST pl-5.11.36.tar.gz 13459439 RMD160 ddcf1487b44f6f5f85c7c74da93ff90a38cfbd8e
DIST pl-5.11.37.tar.gz 13460771 RMD160 d482b2b4c9279859ab70d887dbab401993e43a27 SHA1 67a4102fbcd5684c6449bdf4d27529b8d833c9e2 SHA256 6e5422dca5d88000640784cc61fb6cc5ca530c4a4ae993b68173130bce2d36c6
DIST pl-6.0.0.tar.gz 13369538 RMD160 7003ef06fa03944c5577b3bec2b17ac7c7d55162 SHA1 5c5f197e35693c2fc5d592ddca2f6ace6cf6c8c0 SHA256 85591936c8b6af610b1a9960924e6e4eaf5abccf253749a15355ad79a9e80de9
DIST pl-6.1.0.tar.gz 13552505 RMD160 defe03cf610fe661d3bc37280c834b254c402e45 SHA1 fe1f4d12149176569a233e58c417f2b59184e5e9 SHA256 42bfbe540121252565534a40e968fffb2c29405400808427a8ac68d2697b8567
DIST pl-6.1.1.tar.gz 13808705 RMD160 94f6d8c6af98c45f554e2080974ddcde698e43c8 SHA1 8f26ddd9ebfea2c43a8c2eaf324d24afadbb84a5 SHA256 ef7fa72cefc4d4c3096060ca1c8ff9208543f6de0a054bcca1303cbe27b0b3a9
DIST pl-6.1.2.tar.gz 13811474 RMD160 e8912d600a46981adebf62f26825e24df86fca5f SHA1 71a596d18752be9b57ab5fd71bab042bad5b7678 SHA256 549ffaec250f742f4729afa66fd4745a6f25f5d6c684bedb113b31cfce4173fc
DIST swi-prolog-5.10.5-gentoo-patchset-5.tar.gz 10284 RMD160 42b868f886c639fd612e4c03cbabceb4a70b603a SHA1 26275151c36fb0322f60ec4eadfe0852e02f0b71 SHA256 7f7817602dd844cbd587a665164c85a9d0d8a00b09cfce50f9784119563c11ef
DIST swi-prolog-5.11.34-gentoo-patchset-0.tar.gz 4126 RMD160 5dd7a6d95a90fe87886b9c52f59a0b1a9acd6ed9 SHA1 4003e2101d148ed70a516dee079ab25c956231cb SHA256 a902e81d819055e365916a6c5e01b13b9bbc2477f00de192f6b751b0efc2cc99
DIST swi-prolog-5.11.35-gentoo-patchset-0.tar.gz 5009 RMD160 11bf91da332023963625d9951b742c0412603aee SHA1 1479822638cdeed72387b768aa34c9daec651aae SHA256 13feae1275699fdd8b644f5eddf6f5ba058febb23400825e2e60eee4b91ba417
@ -12,3 +14,5 @@ DIST swi-prolog-5.11.36-gentoo-patchset-0.tar.gz 4098 RMD160 7851a7a1d53a5e54828
DIST swi-prolog-5.11.37-gentoo-patchset-0.tar.gz 4082 RMD160 7031f96f986b5ddbe49ee36992f97a33747514c1 SHA1 afd98f9ce7d14a0c804abbb05f479aac0c835374 SHA256 82b01b943203aba8f214aa4ab173bba0c73d0e5b0dd43359fbfcd3b0fc69419a
DIST swi-prolog-6.0.0-gentoo-patchset-0.tar.gz 4092 RMD160 73ea1a7f5dffff2c411983abc48e6e028d6366ad SHA1 8adb49c195d9f2250721f16bfb849f45c42e040e SHA256 7e64c64db768e0ad5fd682b3d5b6a3b92bb0d4d8663af26dbd5ab717d712564c
DIST swi-prolog-6.1.0-gentoo-patchset-0.tar.gz 4091 RMD160 69420dd1d071b306fe55f79e4b0def6b13736939 SHA1 e78560a8bf29072afed536ba1946b46d52c9e3c8 SHA256 0a01c451999207d326cad29847a94d95621e71b83a62b33cedf23b4be214063b
DIST swi-prolog-6.1.1-gentoo-patchset-0.tar.gz 3859 RMD160 0bb3cbfeb9e621c51bbcebcdb60301648fbd764b SHA1 01dcc3ace9be32995d2641accadd4c521dd22c34 SHA256 9cd70eaa1029d4fb7ab22abeefba3e7e3efe49ec52733556ed2b35de5b0f5358
DIST swi-prolog-6.1.2-gentoo-patchset-0.tar.gz 3866 RMD160 7e09c16ecfaa9b0a34c77a403b8a57ca3d65e593 SHA1 9ab931f43a5459ae6c013906470506a311f2677a SHA256 496e87171518d730c2feebd09c9ce96e7226e0d9a5a2e3bd6aa015774a450c8a

@ -0,0 +1,125 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-lang/swi-prolog/swi-prolog-6.1.1.ebuild,v 1.1 2012/03/02 07:58:43 keri Exp $
EAPI=2
inherit eutils flag-o-matic java-pkg-opt-2
PATCHSET_VER="0"
DESCRIPTION="free, small, and standard compliant Prolog compiler"
HOMEPAGE="http://www.swi-prolog.org/"
SRC_URI="http://www.swi-prolog.org/download/devel/src/pl-${PV}.tar.gz
mirror://gentoo/${P}-gentoo-patchset-${PATCHSET_VER}.tar.gz"
LICENSE="LGPL-2.1"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~x86"
IUSE="debug doc gmp hardened java minimal odbc readline ssl static test zlib X"
RDEPEND="sys-libs/ncurses
zlib? ( sys-libs/zlib )
odbc? ( dev-db/unixODBC )
readline? ( sys-libs/readline )
gmp? ( dev-libs/gmp )
ssl? ( dev-libs/openssl )
java? ( >=virtual/jdk-1.4 )
X? (
virtual/jpeg
x11-libs/libX11
x11-libs/libXft
x11-libs/libXpm
x11-libs/libXt
x11-libs/libICE
x11-libs/libSM )"
DEPEND="${RDEPEND}
X? ( x11-proto/xproto )
java? ( test? ( =dev-java/junit-3.8* ) )"
S="${WORKDIR}/pl-${PV}"
src_prepare() {
EPATCH_FORCE=yes
EPATCH_SUFFIX=patch
epatch "${WORKDIR}"/${PV}
}
src_configure() {
append-flags -fno-strict-aliasing
use ppc && append-flags -mno-altivec
use hardened && append-flags -fno-unit-at-a-time
use debug && append-flags -DO_DEBUG
cd "${S}"/src
econf \
--libdir=/usr/$(get_libdir) \
$(use_enable gmp) \
$(use_enable readline) \
$(use_enable !static shared) \
--enable-custom-flags COFLAGS="${CFLAGS}"
}
src_compile() {
cd "${S}"/src
emake || die "emake failed"
if ! use minimal ; then
local jpltestconf
if use java && use test ; then
jpltestconf="--with-junit=$(java-config --classpath junit)"
fi
cd "${S}/packages"
econf \
--libdir=/usr/$(get_libdir) \
--with-chr \
--with-clib \
--with-clpqr \
--with-cpp \
--with-http \
$(use_with java jpl) \
${jpltestconf} \
--with-nlp \
$(use_with odbc) \
--with-pldoc \
--with-plunit \
--with-protobufs \
--with-R \
--with-RDF \
--with-semweb \
--with-sgml \
$(use_with ssl) \
--with-table \
--with-tipc \
$(use_with X xpce) \
$(use_with zlib) \
COFLAGS='"${CFLAGS}"'
emake || die "packages emake failed"
fi
}
src_test() {
cd "${S}/src"
emake check || die "make check failed. See above for details."
if ! use minimal ; then
cd "${S}/packages"
emake check || die "make check failed. See above for details."
fi
}
src_install() {
emake -C src DESTDIR="${D}" install || die "install src failed"
if ! use minimal ; then
emake -C packages DESTDIR="${D}" install || die "install packages failed"
if use doc ; then
emake -C packages DESTDIR="${D}" html-install || die "html-install failed"
fi
fi
dodoc ReleaseNotes/relnotes-5.10 INSTALL README VERSION || die
}

@ -0,0 +1,125 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-lang/swi-prolog/swi-prolog-6.1.2.ebuild,v 1.1 2012/03/02 07:58:43 keri Exp $
EAPI=2
inherit eutils flag-o-matic java-pkg-opt-2
PATCHSET_VER="0"
DESCRIPTION="free, small, and standard compliant Prolog compiler"
HOMEPAGE="http://www.swi-prolog.org/"
SRC_URI="http://www.swi-prolog.org/download/devel/src/pl-${PV}.tar.gz
mirror://gentoo/${P}-gentoo-patchset-${PATCHSET_VER}.tar.gz"
LICENSE="LGPL-2.1"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~x86"
IUSE="debug doc gmp hardened java minimal odbc readline ssl static test zlib X"
RDEPEND="sys-libs/ncurses
zlib? ( sys-libs/zlib )
odbc? ( dev-db/unixODBC )
readline? ( sys-libs/readline )
gmp? ( dev-libs/gmp )
ssl? ( dev-libs/openssl )
java? ( >=virtual/jdk-1.4 )
X? (
virtual/jpeg
x11-libs/libX11
x11-libs/libXft
x11-libs/libXpm
x11-libs/libXt
x11-libs/libICE
x11-libs/libSM )"
DEPEND="${RDEPEND}
X? ( x11-proto/xproto )
java? ( test? ( =dev-java/junit-3.8* ) )"
S="${WORKDIR}/pl-${PV}"
src_prepare() {
EPATCH_FORCE=yes
EPATCH_SUFFIX=patch
epatch "${WORKDIR}"/${PV}
}
src_configure() {
append-flags -fno-strict-aliasing
use ppc && append-flags -mno-altivec
use hardened && append-flags -fno-unit-at-a-time
use debug && append-flags -DO_DEBUG
cd "${S}"/src
econf \
--libdir=/usr/$(get_libdir) \
$(use_enable gmp) \
$(use_enable readline) \
$(use_enable !static shared) \
--enable-custom-flags COFLAGS="${CFLAGS}"
}
src_compile() {
cd "${S}"/src
emake || die "emake failed"
if ! use minimal ; then
local jpltestconf
if use java && use test ; then
jpltestconf="--with-junit=$(java-config --classpath junit)"
fi
cd "${S}/packages"
econf \
--libdir=/usr/$(get_libdir) \
--with-chr \
--with-clib \
--with-clpqr \
--with-cpp \
--with-http \
$(use_with java jpl) \
${jpltestconf} \
--with-nlp \
$(use_with odbc) \
--with-pldoc \
--with-plunit \
--with-protobufs \
--with-R \
--with-RDF \
--with-semweb \
--with-sgml \
$(use_with ssl) \
--with-table \
--with-tipc \
$(use_with X xpce) \
$(use_with zlib) \
COFLAGS='"${CFLAGS}"'
emake || die "packages emake failed"
fi
}
src_test() {
cd "${S}/src"
emake check || die "make check failed. See above for details."
if ! use minimal ; then
cd "${S}/packages"
emake check || die "make check failed. See above for details."
fi
}
src_install() {
emake -C src DESTDIR="${D}" install || die "install src failed"
if ! use minimal ; then
emake -C packages DESTDIR="${D}" install || die "install packages failed"
if use doc ; then
emake -C packages DESTDIR="${D}" html-install || die "html-install failed"
fi
fi
dodoc ReleaseNotes/relnotes-5.10 INSTALL README VERSION || die
}

@ -1 +1,2 @@
DIST APLpy-0.9.6.tar.gz 50272 RMD160 bf94fd7e35f8a0b10780a9f357f1a5dde2576f7e SHA1 c5f8b182b63fc4009935b1d5ee7defcea6d0c1b5 SHA256 4b353c382bd56419cf120cf97abbf7d53fec29080b080d07b692b9bea7e48b99
DIST APLpy-0.9.7.tar.gz 55747 RMD160 6a848aeed5e25e28e1e000799893b22d85c19f33 SHA1 b637723a631d3a3ff6103a8b1ee533142d5af6f4 SHA256 53d30083a6e9854c4afbf13b050feee2b4ebd2f7b36d22e39e7d7c663e7986da

@ -0,0 +1,31 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-python/aplpy/aplpy-0.9.7.ebuild,v 1.1 2012/03/02 05:37:08 bicatali Exp $
EAPI=2
PYTHON_DEPEND="2"
SUPPORT_PYTHON_ABIS="1"
inherit distutils
MYP=APLpy-${PV}
DESCRIPTION="Astronomical Plotting Library in Python"
HOMEPAGE="http://aplpy.github.com/ http://pypi.python.org/pypi/APLpy"
SRC_URI="https://github.com/downloads/${PN}/${PN}/${MYP}.tar.gz"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""
DEPEND="dev-python/numpy"
RDEPEND="${DEPEND}
dev-python/matplotlib
dev-python/pyfits
dev-python/pywcs"
RESTRICT_PYTHON_ABIS="3.*"
S=${WORKDIR}/${MYP}

@ -1,6 +1,7 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<herd>python</herd>
<maintainer>
<email>aidecoe@gentoo.org</email>
<name>Amadeusz Żołnowski</name>

@ -2,16 +2,10 @@
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer>
<email>hwoarang@gentoo.org</email>
<name>Markos Chandras</name>
<description>Proxy maintainer. CC him on bugs</description>
</maintainer>
<maintainer>
<email>fabiano.francesconi@gmail.com</email>
<name>Fabiano Francesconi</name>
<description>Maintainer. Assign bugs to him</description>
</maintainer>
<longdescription lang="en">
</longdescription>
<herd>python</herd>
</pkgmetadata>

@ -6,12 +6,6 @@
<name>LABBE Corentin (Montjoie)</name>
<description>Maintainer. Assign bugs to him</description>
</maintainer>
<maintainer>
<email>hwoarang@gentoo.org</email>
<name>Markos Chandras</name>
<description>Proxy maintainer. CC him on bugs</description>
</maintainer>
<longdescription lang="en">
</longdescription>
<herd>python</herd>
</pkgmetadata>

@ -1 +1,2 @@
DIST numdisplay-1.5.6.tar.gz 26934 RMD160 ca8e625ffb68bb065702e2933904a69a47ad1c64 SHA1 f06963b1ff4da7f53fcd361a65d088390ca64133 SHA256 b86373a81f45413af1d2e417162b7e55384f07bedf742906579d994ea6748a3e
DIST numdisplay-1.6.0.tar.gz 27397 RMD160 7f49dd4aeb75ec0e6ea9935d1ba7e04d0b1967e1 SHA1 fff229090184e91e759d0264b2288d270b872987 SHA256 66a702b881aa54f31b7e5e3b7283fd75f8ebd469133e5a3e1943928c82fccc34

@ -0,0 +1,33 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-python/numdisplay/numdisplay-1.6.0.ebuild,v 1.1 2012/03/02 05:49:53 bicatali Exp $
EAPI="3"
PYTHON_DEPEND="2"
SUPPORT_PYTHON_ABIS="1"
RESTRICT_PYTHON_ABIS="3.*"
inherit distutils
DESCRIPTION="Python package for interactively displaying FITS arrays"
HOMEPAGE="http://stsdas.stsci.edu/numdisplay/"
SRC_URI="http://stsdas.stsci.edu/download/${PN}/${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""
DEPEND="dev-python/numpy"
RDEPEND="${DEPEND}"
S="${WORKDIR}/${PN}"
src_install() {
distutils_src_install
delete_LICENSE() {
rm -f "${ED}$(python_get_sitedir)/${PN}/LICENSE.txt"
}
python_execute_function -q delete_LICENSE
}

@ -1,11 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer>
<email>hwoarang@gentoo.org</email>
<name>Markos Chandras</name>
</maintainer>
<longdescription lang="en">
</longdescription>
<herd>python</herd>
</pkgmetadata>

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/eclass/toolchain.eclass,v 1.518 2012/02/28 23:34:16 vapier Exp $
# $Header: /var/cvsroot/gentoo-x86/eclass/toolchain.eclass,v 1.519 2012/03/02 05:56:29 vapier Exp $
#
# Maintainer: Toolchain Ninjas <toolchain@gentoo.org>
@ -1478,7 +1478,7 @@ toolchain_src_install() {
# this should take care of that
[[ -f ${x} ]] && mv ${x} ${CTARGET}-${x}
if [[ -f ${CTARGET}-${x} ]] && ! is_crosscompile ; then
if [[ -f ${CTARGET}-${x} ]] ; then
ln -sf ${CTARGET}-${x} ${x}
# Create version-ed symlinks

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/media-libs/gd/gd-2.0.35-r3.ebuild,v 1.13 2012/02/27 20:17:14 vapier Exp $
# $Header: /var/cvsroot/gentoo-x86/media-libs/gd/gd-2.0.35-r3.ebuild,v 1.14 2012/03/02 06:59:29 ulm Exp $
EAPI="2"
@ -10,7 +10,7 @@ DESCRIPTION="A graphics library for fast image creation"
HOMEPAGE="http://libgd.org/ http://www.boutell.com/gd/"
SRC_URI="http://libgd.org/releases/${P}.tar.bz2"
LICENSE="|| ( as-is BSD )"
LICENSE="as-is BSD"
SLOT="2"
KEYWORDS="alpha amd64 arm hppa ia64 m68k ~mips ppc ppc64 s390 sh sparc x86 ~sparc-fbsd ~x86-fbsd"
IUSE="fontconfig jpeg png static-libs truetype xpm zlib"

@ -1,22 +0,0 @@
dev-perl/DateManip
0
mirror://sourceforge/sleuthkit/sleuthkit-2.09.tar.gz dbtool? ( mirror://gentoo/sleuthkit-2.09_dbtool.patch.bz2 )
http://www.sleuthkit.org/sleuthkit/
GPL-2 IBM
A collection of file system and media management forensic analysis tools
amd64 hppa ppc x86
eutils multilib toolchain-funcs user
dbtool
compile install unpack

@ -1,22 +0,0 @@
ewf? ( app-forensics/libewf ) aff? ( app-forensics/afflib ) || ( =sys-devel/automake-1.11* ) >=sys-devel/autoconf-2.68 sys-devel/libtool
ewf? ( app-forensics/libewf ) aff? ( app-forensics/afflib ) dev-perl/DateManip
0
mirror://sourceforge/sleuthkit/sleuthkit-3.0.0.tar.gz
http://www.sleuthkit.org/sleuthkit/
GPL-2 IBM
A collection of file system and media management forensic analysis tools
~amd64 ~hppa ~ppc ~x86
autotools eutils flag-o-matic libtool multilib toolchain-funcs user
aff ewf
compile install unpack

@ -1,22 +0,0 @@
ewf? ( app-forensics/libewf ) aff? ( app-forensics/afflib ) || ( =sys-devel/automake-1.11* ) >=sys-devel/autoconf-2.68 sys-devel/libtool
ewf? ( app-forensics/libewf ) aff? ( app-forensics/afflib ) dev-perl/DateManip
0
mirror://sourceforge/sleuthkit/sleuthkit-3.1.0.tar.gz
http://www.sleuthkit.org/sleuthkit/
GPL-2 IBM
A collection of file system and media management forensic analysis tools
~amd64 ~hppa ~ppc ~x86
autotools eutils flag-o-matic libtool multilib toolchain-funcs user
aff ewf
compile install unpack

@ -0,0 +1,22 @@
sys-libs/ncurses zlib? ( sys-libs/zlib ) odbc? ( dev-db/unixODBC ) readline? ( sys-libs/readline ) gmp? ( dev-libs/gmp ) ssl? ( dev-libs/openssl ) java? ( >=virtual/jdk-1.4 ) X? ( virtual/jpeg x11-libs/libX11 x11-libs/libXft x11-libs/libXpm x11-libs/libXt x11-libs/libICE x11-libs/libSM ) X? ( x11-proto/xproto ) java? ( test? ( =dev-java/junit-3.8* ) ) java? ( >=dev-java/java-config-2.1.9-r1 )
sys-libs/ncurses zlib? ( sys-libs/zlib ) odbc? ( dev-db/unixODBC ) readline? ( sys-libs/readline ) gmp? ( dev-libs/gmp ) ssl? ( dev-libs/openssl ) java? ( >=virtual/jdk-1.4 ) X? ( virtual/jpeg x11-libs/libX11 x11-libs/libXft x11-libs/libXpm x11-libs/libXt x11-libs/libICE x11-libs/libSM ) java? ( >=dev-java/java-config-2.1.9-r1 )
0
http://www.swi-prolog.org/download/devel/src/pl-6.1.1.tar.gz mirror://gentoo/swi-prolog-6.1.1-gentoo-patchset-0.tar.gz
http://www.swi-prolog.org/
LGPL-2.1
free, small, and standard compliant Prolog compiler
~amd64 ~ppc ~x86
eutils flag-o-matic java-pkg-opt-2 java-utils-2 multilib toolchain-funcs user versionator
debug doc gmp hardened java minimal odbc readline ssl static test zlib X elibc_FreeBSD java
2
compile configure install preinst prepare setup test

@ -0,0 +1,22 @@
sys-libs/ncurses zlib? ( sys-libs/zlib ) odbc? ( dev-db/unixODBC ) readline? ( sys-libs/readline ) gmp? ( dev-libs/gmp ) ssl? ( dev-libs/openssl ) java? ( >=virtual/jdk-1.4 ) X? ( virtual/jpeg x11-libs/libX11 x11-libs/libXft x11-libs/libXpm x11-libs/libXt x11-libs/libICE x11-libs/libSM ) X? ( x11-proto/xproto ) java? ( test? ( =dev-java/junit-3.8* ) ) java? ( >=dev-java/java-config-2.1.9-r1 )
sys-libs/ncurses zlib? ( sys-libs/zlib ) odbc? ( dev-db/unixODBC ) readline? ( sys-libs/readline ) gmp? ( dev-libs/gmp ) ssl? ( dev-libs/openssl ) java? ( >=virtual/jdk-1.4 ) X? ( virtual/jpeg x11-libs/libX11 x11-libs/libXft x11-libs/libXpm x11-libs/libXt x11-libs/libICE x11-libs/libSM ) java? ( >=dev-java/java-config-2.1.9-r1 )
0
http://www.swi-prolog.org/download/devel/src/pl-6.1.2.tar.gz mirror://gentoo/swi-prolog-6.1.2-gentoo-patchset-0.tar.gz
http://www.swi-prolog.org/
LGPL-2.1
free, small, and standard compliant Prolog compiler
~amd64 ~ppc ~x86
eutils flag-o-matic java-pkg-opt-2 java-utils-2 multilib toolchain-funcs user versionator
debug doc gmp hardened java minimal odbc readline ssl static test zlib X elibc_FreeBSD java
2
compile configure install preinst prepare setup test

@ -0,0 +1,22 @@
dev-python/numpy >=app-admin/eselect-python-20091230 =dev-lang/python-2*
dev-python/numpy dev-python/matplotlib dev-python/pyfits dev-python/pywcs >=app-admin/eselect-python-20091230 =dev-lang/python-2*
0
https://github.com/downloads/aplpy/aplpy/APLpy-0.9.7.tar.gz
http://aplpy.github.com/ http://pypi.python.org/pypi/APLpy
GPL-3
Astronomical Plotting Library in Python
~amd64 ~x86
distutils multilib python toolchain-funcs
2
compile install postinst postrm prepare

@ -0,0 +1,22 @@
dev-python/numpy >=app-admin/eselect-python-20091230 =dev-lang/python-2*
dev-python/numpy >=app-admin/eselect-python-20091230 =dev-lang/python-2*
0
http://stsdas.stsci.edu/download/numdisplay/numdisplay-1.6.0.tar.gz
http://stsdas.stsci.edu/numdisplay/
BSD
Python package for interactively displaying FITS arrays
~amd64 ~x86
distutils multilib python toolchain-funcs
3
compile install postinst postrm prepare

@ -4,7 +4,7 @@ fontconfig? ( media-libs/fontconfig ) jpeg? ( virtual/jpeg ) png? ( >=media-libs
http://libgd.org/releases/gd-2.0.35.tar.bz2
http://libgd.org/ http://www.boutell.com/gd/
|| ( as-is BSD )
as-is BSD
A graphics library for fast image creation
alpha amd64 arm hppa ia64 m68k ~mips ppc ppc64 s390 sh sparc x86 ~sparc-fbsd ~x86-fbsd
autotools eutils libtool multilib toolchain-funcs user

@ -1,7 +1,7 @@
fortran? ( virtual/fortran ) fits? ( sci-libs/cfitsio ) pgplot? ( sci-libs/pgplot )
fortran? ( virtual/fortran ) fits? ( sci-libs/cfitsio ) pgplot? ( sci-libs/pgplot )
0
ftp://ftp.atnf.csiro.au/pub/software/wcslib/wcslib-4.10.tar.bz2
ftp://ftp.atnf.csiro.au/pub/software/wcslib/wcslib-4.12.tar.bz2
http://www.atnf.csiro.au/people/mcalabre/WCS/
LGPL-3

@ -1,22 +0,0 @@
fortran? ( virtual/fortran ) fits? ( sci-libs/cfitsio ) pgplot? ( sci-libs/pgplot )
fortran? ( virtual/fortran ) fits? ( sci-libs/cfitsio ) pgplot? ( sci-libs/pgplot )
0
ftp://ftp.atnf.csiro.au/pub/software/wcslib/wcslib-4.8.4.tar.bz2
http://www.atnf.csiro.au/people/mcalabre/WCS/
LGPL-3
Astronomical World Coordinate System transformations library
~amd64 ~x86
eutils fortran-2 multilib toolchain-funcs user
fortran fits pgplot static-libs
4
compile configure install prepare setup test

@ -0,0 +1,22 @@
dev-python/numpy dev-python/cython dev-python/setuptools doc? ( dev-python/sphinx ) >=app-admin/eselect-python-20091230 =dev-lang/python-2*
sci-libs/scipy sci-libs/scikits gtk? ( dev-python/pygtk ) qt4? ( dev-python/PyQt4 ) >=app-admin/eselect-python-20091230 =dev-lang/python-2*
0
mirror://pypi/s/scikits-image/scikits-image-0.5.tar.gz
http://scikits-image.org/
BSD
Image processing routines for SciPy
~amd64 ~x86
distutils multilib python toolchain-funcs
doc gtk qt4
4
compile install postinst postrm prepare setup test

@ -1,22 +0,0 @@
sys-libs/readline sys-libs/ncurses
sys-libs/readline sys-libs/ncurses gnuplot? ( sci-visualization/gnuplot )
0
http://www.mathomatic.org//archive/mathomatic-15.6.2.tar.bz2
http://www.mathomatic.org/
LGPL-2.1
Automatic algebraic manipulator
~amd64 ~ppc ~x86
eutils flag-o-matic multilib toolchain-funcs user
doc gnuplot
4
compile install test

@ -1,7 +1,7 @@
sys-libs/readline sys-libs/ncurses
sys-libs/readline sys-libs/ncurses gnuplot? ( sci-visualization/gnuplot )
0
http://www.mathomatic.org//archive/mathomatic-15.7.1.tar.bz2
http://www.mathomatic.org//archive/mathomatic-15.8.0.tar.bz2
http://www.mathomatic.org/
LGPL-2.1

@ -0,0 +1,22 @@
java? ( >=virtual/jdk-1.6 ) java? ( >=dev-java/java-config-2.1.9-r1 ) || ( =sys-devel/automake-1.11* ) >=sys-devel/autoconf-2.68 sys-devel/libtool
java? ( >=virtual/jre-1.6 ) java? ( >=dev-java/java-config-2.1.9-r1 )
0
http://yacas.sourceforge.net/backups/yacas-1.3.2.tar.gz
http://yacas.sourceforge.net/
GPL-2
General purpose computer algebra system
~amd64 ~ppc ~x86
autotools eutils java-pkg-opt-2 java-utils-2 libtool multilib toolchain-funcs user versionator
doc java server elibc_FreeBSD java
4
compile configure install preinst prepare setup

@ -0,0 +1,22 @@
|| ( =sys-devel/automake-1.11* ) >=sys-devel/autoconf-2.68 sys-devel/libtool
2
http://proj-clhep.web.cern.ch/proj-clhep/DISTRIBUTION/tarFiles/clhep-2.1.2.2.tgz
http://www.cern.ch/clhep
public-domain
High Energy Physics C++ library
~amd64 ~hppa ~ppc ~x86
autotools eutils libtool multilib toolchain-funcs user
exceptions static-libs
4
configure prepare

@ -0,0 +1,22 @@
doc? ( app-doc/doxygen dev-tex/floatflt ) >=dev-util/cmake-2.8.4 userland_GNU? ( >=sys-apps/findutils-4.4.0 )
0
http://lcgapp.cern.ch/project/simu/HepMC/download/HepMC-2.06.08.tar.gz
https://savannah.cern.ch/projects/hepmc/
GPL-2
Event Record for Monte Carlo Generators
~amd64 ~x86
base cmake-utils eutils flag-o-matic multilib toolchain-funcs user
cm doc examples gev static-libs test
4
compile configure install prepare test unpack

@ -0,0 +1,22 @@
app-arch/xz-utils >=dev-lang/cfortran-4.4-r2 dev-libs/libpcre media-libs/freetype media-libs/giflib media-libs/libpng:0 media-libs/tiff:0 sys-apps/shadow sys-libs/zlib virtual/jpeg X? ( media-libs/ftgl media-libs/glew x11-libs/libX11 x11-libs/libXext x11-libs/libXpm || ( >=media-libs/libafterimage-1.20 >=x11-wm/afterstep-2.2.11 ) opengl? ( virtual/opengl virtual/glu x11-libs/gl2ps ) qt4? ( x11-libs/qt-gui:4 x11-libs/qt-opengl:4 x11-libs/qt-qt3support:4 x11-libs/qt-svg:4 x11-libs/qt-webkit:4 x11-libs/qt-xmlpatterns:4 ) xft? ( x11-libs/libXft ) ) afs? ( net-fs/openafs ) avahi? ( net-dns/avahi ) clarens? ( dev-libs/xmlrpc-c[curl] ) emacs? ( virtual/emacs ) fits? ( sci-libs/cfitsio ) fftw? ( sci-libs/fftw:3.0 ) graphviz? ( media-gfx/graphviz ) kerberos? ( virtual/krb5 ) ldap? ( net-nds/openldap ) llvm? ( sys-devel/llvm ) math? ( sci-libs/gsl sci-mathematics/unuran mpi? ( virtual/mpi ) ) mysql? ( virtual/mysql ) ncurses? ( sys-libs/ncurses ) odbc? ( || ( dev-db/libiodbc dev-db/unixODBC ) ) oracle? ( dev-db/oracle-instantclient-basic ) postgres? ( dev-db/postgresql-base ) pythia6? ( sci-physics/pythia:6 ) pythia8? ( sci-physics/pythia:8 ) ruby? ( dev-lang/ruby dev-ruby/rubygems ) ssl? ( dev-libs/openssl ) xml? ( dev-libs/libxml2 ) xrootd? ( net-libs/xrootd ) dev-util/pkgconfig >=app-admin/eselect-python-20091230 python? ( =dev-lang/python-2* )
virtual/fortran app-arch/xz-utils >=dev-lang/cfortran-4.4-r2 dev-libs/libpcre media-libs/freetype media-libs/giflib media-libs/libpng:0 media-libs/tiff:0 sys-apps/shadow sys-libs/zlib virtual/jpeg X? ( media-libs/ftgl media-libs/glew x11-libs/libX11 x11-libs/libXext x11-libs/libXpm || ( >=media-libs/libafterimage-1.20 >=x11-wm/afterstep-2.2.11 ) opengl? ( virtual/opengl virtual/glu x11-libs/gl2ps ) qt4? ( x11-libs/qt-gui:4 x11-libs/qt-opengl:4 x11-libs/qt-qt3support:4 x11-libs/qt-svg:4 x11-libs/qt-webkit:4 x11-libs/qt-xmlpatterns:4 ) xft? ( x11-libs/libXft ) ) afs? ( net-fs/openafs ) avahi? ( net-dns/avahi ) clarens? ( dev-libs/xmlrpc-c[curl] ) emacs? ( virtual/emacs ) fits? ( sci-libs/cfitsio ) fftw? ( sci-libs/fftw:3.0 ) graphviz? ( media-gfx/graphviz ) kerberos? ( virtual/krb5 ) ldap? ( net-nds/openldap ) llvm? ( sys-devel/llvm ) math? ( sci-libs/gsl sci-mathematics/unuran mpi? ( virtual/mpi ) ) mysql? ( virtual/mysql ) ncurses? ( sys-libs/ncurses ) odbc? ( || ( dev-db/libiodbc dev-db/unixODBC ) ) oracle? ( dev-db/oracle-instantclient-basic ) postgres? ( dev-db/postgresql-base ) pythia6? ( sci-physics/pythia:6 ) pythia8? ( sci-physics/pythia:8 ) ruby? ( dev-lang/ruby dev-ruby/rubygems ) ssl? ( dev-libs/openssl ) xml? ( dev-libs/libxml2 ) xrootd? ( net-libs/xrootd ) reflex? ( dev-cpp/gccxml ) xinetd? ( sys-apps/xinetd ) >=app-admin/eselect-python-20091230 python? ( =dev-lang/python-2* )
0
ftp://root.cern.ch/root/root_v5.32.01.source.tar.gz doc? ( ftp://root.cern.ch/root/doc/Users_Guide_5_26.pdf math? ( ftp://root.cern.ch/root/doc/RooFit_Users_Manual_2.91-33.pdf http://tmva.sourceforge.net/docu/TMVAUsersGuide.pdf -> TMVAUsersGuide-v4.03.pdf ) )
http://root.cern.ch/
LGPL-2.1
C++ data analysis framework and interpreter from CERN
~amd64 ~x86 ~amd64-linux ~x86-linux
elisp-common eutils fdo-mime flag-o-matic fortran-2 multilib python toolchain-funcs user versionator
+X afs avahi clarens doc emacs examples fits fftw graphviz kerberos ldap llvm +math mpi mysql ncurses odbc +opengl openmp oracle postgres prefix pythia6 pythia8 python +reflex ruby qt4 ssl xft xml xinetd xrootd
!X? ( !opengl !qt4 !xft )
4
compile configure install postinst postrm prepare setup

@ -0,0 +1,22 @@
!<sys-libs/glibc-2.3.5
0
ftp://munnari.oz.au/pub/tzdata2012b.tar.gz ftp://munnari.oz.au/pub/tzcode2012b.tar.gz
http://www.twinsun.com/tz/tz-link.htm https://mm.icann.org/mailman/listinfo/tz
BSD public-domain
Timezone data (/usr/share/zoneinfo) and utilities (tzselect/zic/zdump)
~alpha ~amd64 ~arm ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~sparc-fbsd ~x86-fbsd
eutils flag-o-matic multilib toolchain-funcs user
nls elibc_FreeBSD elibc_glibc
compile config install postinst unpack

@ -1,22 +0,0 @@
>=app-admin/eselect-python-20091230 || ( =dev-lang/python-2.7* =dev-lang/python-2.6* =dev-lang/python-2.5* ) || ( =dev-lang/python-2.7*[readline] =dev-lang/python-2.6*[readline] =dev-lang/python-2.5*[readline] )
zsh-completion? ( app-shells/zsh ) bash-completion? ( app-admin/eselect ) >=app-admin/eselect-python-20091230 || ( =dev-lang/python-2.7* =dev-lang/python-2.6* =dev-lang/python-2.5* ) || ( =dev-lang/python-2.7*[readline] =dev-lang/python-2.6*[readline] =dev-lang/python-2.5*[readline] )
0
http://pybugz.googlecode.com/files/pybugz-0.8.0.tar.gz
http://www.liquidx.net/pybugz
GPL-2
Command line interface to (Gentoo) Bugzilla
alpha amd64 arm hppa ia64 ~mips ppc ppc64 sparc x86 ~ppc-aix ~x86-fbsd ~x86-freebsd ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x86-solaris
bash-completion distutils eutils multilib python toolchain-funcs user
zsh-completion bash-completion
bash-completion? ( app-shells/bash-completion )
2
compile install postinst postrm prepare setup

@ -1,22 +0,0 @@
>=app-admin/eselect-python-20091230 || ( =dev-lang/python-2.7* =dev-lang/python-2.6* =dev-lang/python-2.5* ) || ( =dev-lang/python-2.7*[readline] =dev-lang/python-2.6*[readline] =dev-lang/python-2.5*[readline] )
|| ( dev-lang/python:2.7 dev-python/argparse ) zsh-completion? ( app-shells/zsh ) bash-completion? ( app-admin/eselect ) >=app-admin/eselect-python-20091230 || ( =dev-lang/python-2.7* =dev-lang/python-2.6* =dev-lang/python-2.5* ) || ( =dev-lang/python-2.7*[readline] =dev-lang/python-2.6*[readline] =dev-lang/python-2.5*[readline] )
0
http://www.github.com/williamh/pybugz/tarball/0.9.0 -> pybugz-0.9.0.tar.gz
http://www.github.com/williamh/pybugz
GPL-2
Command line interface to (Gentoo) Bugzilla
alpha amd64 arm hppa ia64 ~mips ~ppc ~ppc64 sparc x86 ~ppc-aix ~x86-fbsd ~x86-freebsd ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x86-solaris
bash-completion distutils eutils multilib python toolchain-funcs user
zsh-completion bash-completion
bash-completion? ( app-shells/bash-completion )
2
compile install postinst postrm prepare setup

@ -1,22 +0,0 @@
>=app-admin/eselect-python-20091230 =dev-lang/python-2.7* =dev-lang/python-2.7*[readline]
zsh-completion? ( app-shells/zsh ) bash-completion? ( app-admin/eselect ) >=app-admin/eselect-python-20091230 =dev-lang/python-2.7* =dev-lang/python-2.7*[readline]
0
http://www.github.com/williamh/pybugz/tarball/0.9.2 -> pybugz-0.9.2.tar.gz
http://www.github.com/williamh/pybugz
GPL-2
Command line interface to (Gentoo) Bugzilla
alpha amd64 arm hppa ia64 ~mips ppc ~ppc64 sparc x86 ~ppc-aix ~x86-fbsd ~x86-freebsd ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x86-solaris
bash-completion distutils eutils multilib python toolchain-funcs user
zsh-completion bash-completion
bash-completion? ( app-shells/bash-completion )
3
compile install postinst postrm prepare setup

@ -1 +1 @@
Fri, 02 Mar 2012 05:06:46 +0000
Fri, 02 Mar 2012 08:06:46 +0000

@ -1 +1 @@
Fri, 02 Mar 2012 05:06:47 +0000
Fri, 02 Mar 2012 08:06:46 +0000

@ -1 +1 @@
Fri, 02 Mar 2012 05:06:48 +0000
Fri, 02 Mar 2012 08:06:48 +0000

@ -1 +1 @@
Fri Mar 2 05:06:46 UTC 2012
Fri Mar 2 08:06:46 UTC 2012

@ -1 +1 @@
Fri, 02 Mar 2012 05:30:01 +0000
Fri, 02 Mar 2012 08:30:01 +0000

@ -1 +1 @@
1330664701 Fri Mar 2 05:05:01 2012 UTC
1330675501 Fri Mar 2 08:05:01 2012 UTC

@ -522,7 +522,6 @@ app-forensics/openscap:sql - Build the sql independant probes
app-forensics/ovaldi:rpm - Enable the RPM probes
app-forensics/rdd:rawio - Enables raw IO handling
app-forensics/sleuthkit:aff - Enable extra aff formats
app-forensics/sleuthkit:dbtool - Add patch for dbtool interface from PyFlag
app-forensics/sleuthkit:ewf - Enable libewf support
app-i18n/anthy:canna-2ch - Enable support for app-dicts/canna-2ch
app-i18n/fcitx:gtk3 - Use GTK+3 instead of 2

@ -1,3 +1,2 @@
DIST wcslib-4.10.tar.bz2 1582364 RMD160 63fda65c4bce9d5b8a6a35249856bacd71a5426f SHA1 6aff8e273bfc51bc1d0df22489a0bcd4fdc8d961 SHA256 add92c95ff39ef3302a1181137425f5cb5a1825ea6c1b6f60cfa97ce465adf1f
DIST wcslib-4.11.tar.bz2 1582781 RMD160 a8840f9f1075cc713c65cf7ecd8d74362f1ccb92 SHA1 b79b0c2aa3b892de44aa93b6f5336f0d62985bf7 SHA256 961d89dfe74b958c9b54113445e8507bc2bf91a42085bdff7726700787f1423c
DIST wcslib-4.8.4.tar.bz2 1573168 RMD160 23e9e4439eced5427986582ae534241499a7d560 SHA1 66c0be7b71aa66d0db7e68bb75c02e9f406c18c5 SHA256 da37f2933e13a1878625c0a9f84c1fe3bf72ff890bdd2ed83812d5510d8d85a5
DIST wcslib-4.12.tar.bz2 1583295 RMD160 d6a0617e549a21b39d952cfcbba0d58c617d2d5c SHA1 2325c5dc501b7e7b81defd121bdef1a4b36dbfb7 SHA256 3a3bfa57cec1aac18ad3ac1246d287d7bc9b1d40949f469ba7e317050807cdf0

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/sci-astronomy/wcslib/wcslib-4.10.ebuild,v 1.1 2012/02/09 18:51:13 bicatali Exp $
# $Header: /var/cvsroot/gentoo-x86/sci-astronomy/wcslib/wcslib-4.12.ebuild,v 1.1 2012/03/02 05:41:28 bicatali Exp $
EAPI=4

@ -1,54 +0,0 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/sci-astronomy/wcslib/wcslib-4.8.4.ebuild,v 1.1 2011/12/20 04:09:43 bicatali Exp $
EAPI=4
inherit eutils fortran-2
DESCRIPTION="Astronomical World Coordinate System transformations library"
HOMEPAGE="http://www.atnf.csiro.au/people/mcalabre/WCS/"
SRC_URI="ftp://ftp.atnf.csiro.au/pub/software/${PN}/${P}.tar.bz2"
SLOT="0"
LICENSE="LGPL-3"
KEYWORDS="~amd64 ~x86"
IUSE="fortran fits pgplot static-libs"
RDEPEND="fortran? ( virtual/fortran )
fits? ( sci-libs/cfitsio )
pgplot? ( sci-libs/pgplot )"
DEPEND="${RDEPEND}"
pkg_setup() {
use fortran && fortran-2_pkg_setup
}
src_prepare() {
sed -i -e 's/COPYING\*//' GNUmakefile || die
}
src_configure() {
econf \
--docdir="${EPREFIX}"/usr/share/doc/${PF} \
$(use_enable static-libs static) \
$(use_enable fortran) \
$(use_with fits cfitsio) \
$(use_with pgplot)
}
src_compile() {
# nasty makefile, debugging means full rewrite
emake -j1
}
src_test() {
emake -j1 check
}
src_install () {
default
# static libs are same as shared (compiled with PIC)
# so they are not compiled twice
use static-libs || rm -f "${ED}"/usr/$(get_libdir)/lib*.a
}

@ -1,2 +1,3 @@
DIST scikits-image-0.4.2.tar.gz 3128187 RMD160 4c03db7231384ad363801696fe1c8fb6051cc4e4 SHA1 74d7f91a25e85f0ec882cf809b1d91c30733e9d4 SHA256 be34953dd133e5cf9821e3e657d124fd53f0079799756bca3069aa8d31f56f31
DIST scikits-image-0.5.tar.gz 3298989 RMD160 876712c2a1832f28d149e2ad5282b911c0ab4013 SHA1 cac3e925eaaeb726a784eb6f835d022f77c07609 SHA256 caf0e8557fb0f4b71b8a70c44f5bd58867deb4205ff45e268dff18e29ad49f03
DIST scikits.image-0.3.1.tar.gz 3072072 RMD160 8378386ff3dfdfb155f11ef30c4f73988abe9e86 SHA1 de59042da437a1f69fcd04eaa273e07c4f82c84b SHA256 bcd3489afe8f681c744a00c7dd33dbe82a643ffccc647f91676d5a47a70c1d61

@ -0,0 +1,60 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/sci-libs/scikits_image/scikits_image-0.5.ebuild,v 1.1 2012/03/02 06:12:25 bicatali Exp $
EAPI=4
PYTHON_DEPEND="2"
SUPPORT_PYTHON_ABIS="1"
RESTRICT_PYTHON_ABIS="3.*"
inherit distutils
MYPN="${PN/scikits_/scikits-}"
DESCRIPTION="Image processing routines for SciPy"
HOMEPAGE="http://scikits-image.org/"
SRC_URI="mirror://pypi/${PN:0:1}/${MYPN}/${MYPN}-${PV}.tar.gz"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="doc gtk qt4"
RDEPEND="sci-libs/scipy
sci-libs/scikits
gtk? ( dev-python/pygtk )
qt4? ( dev-python/PyQt4 )"
DEPEND="dev-python/numpy
dev-python/cython
dev-python/setuptools
doc? ( dev-python/sphinx )"
S="${WORKDIR}/${MYPN}-${PV}"
PYTHON_MODNAME="skimage"
src_compile() {
distutils_src_compile
if use doc; then
"$(PYTHON -f)" setup.py build_sphinx || die "doc failed"
fi
}
src_test() {
testing() {
PYTHONPATH="$(dir -d build-${PYTHON_ABI}/lib*)" \
"$(PYTHON)" setup.py build -b "build-${PYTHON_ABI}" test
}
python_execute_function testing
}
src_install() {
distutils_src_install
remove_scikits() {
rm -f "${ED}"$(python_get_sitedir)/scikits/__init__.py || die
}
python_execute_function -q remove_scikits
dodoc *.txt
insinto /usr/share/doc/${PF}
use doc && dohtml -r build/sphinx/html/*
}

@ -1,5 +1,4 @@
DIST mathomatic-12.8.8.tar.bz2 138604 RMD160 e180a32feeab61a0bee5aee70afcb9d6bf0f2e56 SHA1 4d4b7b8bc066522a4aefbb810989a57b017d99d1 SHA256 16ac8b1f2561c8e869e5042f2f317ac347e86a190e4c424b5bb8980921412a89
DIST mathomatic-12.9.1.tar.bz2 139522 RMD160 27c6ef08eadc9b51d21eb6353e9b91c8d1f5cc8a SHA1 3afb2e1c7d00b8299f76cd553d24608dc660354f SHA256 f567771148dce6afacaed99efa3a57ccc138df7f8f57c22f8915791c36974d1d
DIST mathomatic-15.6.2.tar.bz2 215667 RMD160 47622f4ec22f5586bf5d4141c3bded3f846fd2c0 SHA1 ccd1f7a506421863725682bcf41936674c98bccd SHA256 30922837bbdd5cbeba29e75db531b060d76fc0e77a7a4884effced35d8f4f044
DIST mathomatic-15.7.1.tar.bz2 237650 RMD160 32fcde5c17bf829f0a5d942adef91137945d60f9 SHA1 2c15aaa7c6ab00d700295b55db0832c24b7b72c5 SHA256 3ebf7d187fb6871e35359c67b9762a895949b588fb4100dac577bb247a4533d6
DIST mathomatic-15.7.2.tar.bz2 241674 RMD160 e1a046a1aaedbdcd6a978fcf3fe29390354a68e0 SHA1 7efdc805f5e09c9c368fe83817a94c76bd50bc4f SHA256 242b1b5d6fcced3ad029f30a9a5f5457a94dee66e45b3cfc198a856125a01861
DIST mathomatic-15.8.0.tar.bz2 257128 RMD160 56f4c86cb90ff47266bb5326d345ee9d61163661 SHA1 9623dd8e3ef38a202077d260eefd90be43aa423d SHA256 378ca5ce9d60b49cafc5dc950963970a052a7ff0d7eec7cac92ba527fb1b6e32

@ -1,42 +0,0 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/sci-mathematics/mathomatic/mathomatic-15.6.2.ebuild,v 1.2 2011/06/14 16:13:48 bicatali Exp $
EAPI=4
inherit toolchain-funcs flag-o-matic
DESCRIPTION="Automatic algebraic manipulator"
HOMEPAGE="http://www.mathomatic.org/"
SRC_URI="${HOMEPAGE}/archive/${P}.tar.bz2"
LICENSE="LGPL-2.1"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~x86"
IUSE="doc gnuplot"
DEPEND="sys-libs/readline
sys-libs/ncurses"
RDEPEND="${DEPEND}
gnuplot? ( sci-visualization/gnuplot )"
src_compile() {
append-cflags -DBOLD_COLOR=1
emake READLINE=1 CC=$(tc-getCC)
emake CC=$(tc-getCC) -C primes
}
src_test() {
default
emake -C primes check
}
src_install() {
emake prefix="${EPREFIX}usr" DESTDIR="${D}" bininstall
emake prefix="${EPREFIX}usr" DESTDIR="${D}" -C primes install
dodoc changes.txt README.txt AUTHORS
newdoc primes/README.txt README-primes.txt
use doc && emake \
prefix="${EPREFIX}usr" \
mathdocdir="${EPREFIX}usr/share/doc/${PF}" \
DESTDIR="${D}" docinstall
}

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/sci-mathematics/mathomatic/mathomatic-15.7.1.ebuild,v 1.1 2011/11/25 17:48:00 bicatali Exp $
# $Header: /var/cvsroot/gentoo-x86/sci-mathematics/mathomatic/mathomatic-15.8.0.ebuild,v 1.1 2012/03/02 05:57:44 bicatali Exp $
EAPI=4
inherit toolchain-funcs flag-o-matic

@ -1,2 +1,3 @@
DIST yacas-1.2.2.tar.gz 1203303 RMD160 6c49ca60e4f1f92e7d30e8d91b6126e55d77321b SHA1 8e753c22c207a5aa5e9fd2a9d519605d5b73d5b9 SHA256 e8345de267ed41790128649e3ff5ab7be7d0a2fa6e721b82e0a552c04775aab6
DIST yacas-1.3.1.tar.gz 1292136 RMD160 3b141ccabe195288c766e7510f65cffffefb038a SHA1 d057b938f4a822995d747c12b9c3cec5b27e2d40 SHA256 61d10c38af1e450ef325cc874143ceb414a4fdd4d7b4564bd0a65e090aa16b6c
DIST yacas-1.3.2.tar.gz 1292706 RMD160 a57b877036b107310200058842ed7d17d531e438 SHA1 f8c81923b55f2b37ce9b42ec02600f331a6435f6 SHA256 82c7dc0de492b4290633e6abf18d35a2ec03117e6ea3e0f9418e6e85372c030e

@ -0,0 +1,53 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/sci-mathematics/yacas/yacas-1.3.2.ebuild,v 1.1 2012/03/02 05:59:05 bicatali Exp $
EAPI="4"
inherit eutils java-pkg-opt-2 autotools
DESCRIPTION="General purpose computer algebra system"
HOMEPAGE="http://yacas.sourceforge.net/"
SRC_URI="http://${PN}.sourceforge.net/backups/${P}.tar.gz"
SLOT="0"
LICENSE="GPL-2"
KEYWORDS="~amd64 ~ppc ~x86"
IUSE="doc java server"
DEPEND="java? ( >=virtual/jdk-1.6 )"
RDEPEND="java? ( >=virtual/jre-1.6 )"
psrc_prepare() {
epatch "${FILESDIR}"/${PN}-1.2.2-tests.patch
# needs to rebuild because tests include file modify Makefile.am
eautoreconf
}
src_configure() {
econf \
$(use_enable doc html-doc) \
$(use_enable server) \
--with-html-dir="/usr/share/doc/${PF}/html"
}
src_compile() {
default
if use java; then
cd JavaYacas || die
# -j1 because of file generation dependence
emake -j1 -f makefile.yacas
fi
}
src_install() {
default
if use java; then
cd JavaYacas || die
java-pkg_dojar yacas.jar
java-pkg_dolauncher jyacas --main net.sf.yacas.YacasConsole
insinto /usr/share/${PN}
doins hints.txt yacasconsole.html
fi
}

@ -2,3 +2,4 @@ DIST clhep-2.0.4.6.tgz 3593699 RMD160 8f4f7aa44cedadba74f2301ab38a732333ca4c04 S
DIST clhep-2.1.0.1.tgz 4243520 RMD160 2f5f1cefd3f5e58843733f87a91233415c5de1cb SHA1 9ea129adfc680bc00db0eca3a46db3d7eb51b648 SHA256 b8492c1c795e899d8ab2462fc4f40f05a520dba17e598ca2434623e24f51cd29
DIST clhep-2.1.1.0.tgz 4265666 RMD160 c3217dcfb90f489a520d18252f3e60b05f57d49b SHA1 3ad65041e68c7a6c19208dcaa1f4dcf769588d1d SHA256 7cdce06e7af7d78f13d8badce2c77c5962b5383ead865d537aa8cd70c9d469f3
DIST clhep-2.1.2.0.tgz 3715254 RMD160 04b13225639d8f5e332245f0b430c4b64d80d318 SHA1 1336de8d4c87f5b6b00e63956b45ef429e59d7f4 SHA256 b4dcb7812acbd4a781fab556eb4bfac2ed4c1fbfa64cb5d27a296cdba4f6336c
DIST clhep-2.1.2.2.tgz 1839362 RMD160 082a39ff259a80ae354386606f52e6e69ca42089 SHA1 374340e316c192c211db36c4cd3f29407cc75318 SHA256 efa59d433d6501f378c7c3eaa6565a3e89f4ee4b69ec2a67261a56d428676093

@ -0,0 +1,47 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/sci-physics/clhep/clhep-2.1.2.2.ebuild,v 1.1 2012/03/02 05:45:13 bicatali Exp $
EAPI=4
inherit autotools eutils
DESCRIPTION="High Energy Physics C++ library"
HOMEPAGE="http://www.cern.ch/clhep"
SRC_URI="http://proj-clhep.web.cern.ch/proj-clhep/DISTRIBUTION/tarFiles/${P}.tgz"
LICENSE="public-domain"
SLOT="2"
KEYWORDS="~amd64 ~hppa ~ppc ~x86"
IUSE="exceptions static-libs"
RDEPEND=""
DEPEND="${RDEPEND}"
S="${WORKDIR}/${PV}/CLHEP"
src_prepare() {
local d
for d in $(find . -name configure.ac); do
# respect user flags and fix some compilers stuff
sed -i \
-e 's:^g++):*g++):g' \
-e 's:^icc):icc|icpc):g' \
-e '/AM_CXXFLAGS=/s:-O ::g' \
${d} || die
# need to rebuild because original configurations
# have buggy detection
done
for d in $(find . -name Makefile.am | xargs grep -l ": %\.cc"); do
sed -i \
-e 's|: %\.cc|: %\.cc \$(shareddir)|' \
-e 's|all-local: \$(shareddir)|all-local: |' \
${d} || die
# fixing parallel build
done
eautoreconf
}
src_configure() {
econf \
$(use_enable exceptions) \
$(use_enable static-libs static)
}

@ -2,3 +2,4 @@ DIST HepMC-2.06.03.tar.gz 4587543 RMD160 3c63afa80d9c0bef8f63460936f357de3d2a5ae
DIST HepMC-2.06.05.tar.gz 4594151 RMD160 9402d4185396905091e56cdf03b8a585e06aaef8 SHA1 bfec3809d70b3f53337c2d9a2c7b849abf7dbb51 SHA256 4c411077cc97522c03b74f973264b8d9fd2b6ccec0efc7ceced2645371c73618
DIST HepMC-2.06.06.tar.gz 4605572 RMD160 33f8d4351ab39d362d20a9e84263215dd49471e7 SHA1 fe03cd7df3a4c67efc16bcf49162939e4413aeec SHA256 8cdff26c10783ed4248220a84a43b7e1f9b59cc2c9a29bd634d024ca469db125
DIST HepMC-2.06.07.tar.gz 3854279 RMD160 e4143d0ba4fc30753aaae260b0fea737f87d2533 SHA1 a8f813762fecbfa653eca299fa74e37bec55e0ae SHA256 a0bdd6f36a3cc4cb59d6eb15cef9d46ce9b3739cae3324e81ebb2df6943e4594
DIST HepMC-2.06.08.tar.gz 3863843 RMD160 ab648d841ec91a4f76debe57c4402bc3ae7bf042 SHA1 6d516aa3c37766a4c32963c9dbcd4dd6614cd9f4 SHA256 8be6c1793e0a045f07ddb88bb64b46de7e66a52e75fb72b3f82f9a3e3ba8a8ce

@ -0,0 +1,87 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/sci-physics/hepmc/hepmc-2.06.08.ebuild,v 1.1 2012/03/02 05:26:02 bicatali Exp $
EAPI=4
inherit cmake-utils
MYP=HepMC-${PV}
DESCRIPTION="Event Record for Monte Carlo Generators"
HOMEPAGE="https://savannah.cern.ch/projects/hepmc/"
SRC_URI="http://lcgapp.cern.ch/project/simu/HepMC/download/${MYP}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="cm doc examples gev static-libs test"
RDEPEND=""
DEPEND="${RDEPEND}
doc? ( app-doc/doxygen dev-tex/floatflt )"
S="${WORKDIR}/${MYP}"
DOCS=( ChangeLog AUTHORS )
src_prepare() {
sed -i -e '/add_subdirectory(doc)/d' CMakeLists.txt
# CMake doc building broken
# gentoo doc directory
#sed -i \
# -e "s:share/HepMC/doc:share/doc/${PF}:" \
# doc/CMakeLists.txt || die
# gentoo examples directory
sed -i \
-e "s:share/HepMC:share/doc/${PF}:" \
$(find examples -name CMakeLists.txt) || die
# respect user's flags
sed -i \
-e "s/-O -ansi -pedantic -Wall//g" \
cmake/Modules/HepMCVariables.cmake || die
# gentoo libdir love
sed -i \
-e '/DESTINATION/s/lib/lib${LIB_SUFFIX}/g' \
{src,fio}/CMakeLists.txt || die
# remove targets if use flags not set
use examples || sed -i -e '/add_subdirectory(examples)/d' CMakeLists.txt
use test || sed -i -e '/add_subdirectory(test)/d' CMakeLists.txt
if ! use static-libs; then
sed -i \
-e '/(HepMC\(fio\|\)S/d' \
-e '/TARGETS/s/HepMC\(fio\|\)S//' \
{src,fio}/CMakeLists.txt || die
fi
}
src_configure() {
# use MeV over GeV and mm over cm
local length_conf="MM"
use cm && length_conf="CM"
local momentum_conf="MEV"
use gev && momentum_conf="GEV"
mycmakeargs+=(
-Dlength=${length_conf}
-Dmomentum=${momentum_conf}
)
cmake-utils_src_configure
}
src_compile() {
cmake-utils_src_compile
if use doc; then
cd doc
./buildDoc.sh || die
./buildDoxygen.sh || die
fi
}
src_install() {
cmake-utils_src_install
use doc && dodoc doc/*.pdf && dohtml -r doc/html/*
}

@ -7,3 +7,4 @@ DIST root-5.28.00b-xrootd-prop-flags.patch.bz2 3894 RMD160 ef6b06d4783320ee7d618
DIST root_v5.26.00e.source.tar.gz 28922785 RMD160 692312a1984279255e32c96a0a79b974ff2e2971 SHA1 5a4b7e1b759dfef0dd218491bbe74ca376fc8c07 SHA256 7f2604954775653825b9897da131278c9b349f12d77b1fc087004c1b838f4a80
DIST root_v5.28.00d.source.tar.gz 31145040 RMD160 f3a25f9c6ae5cd4d4ad511d6707adf0845bbfac5 SHA1 b932d9b2ebfe66a28333b5b9ef90ab0e877173d8 SHA256 2e485140cd786725ded68296f0629c7e1e498a167d80e8c812fe28ceca04ff60
DIST root_v5.32.00.source.tar.gz 55355548 RMD160 e8b0c9b4e60334fb9f01b4cf70cdaed518c62bae SHA1 b7375d53dd845505196d12a7d66c3b2d8e1b0336 SHA256 9d63e4d7f1bb5454bc7b556abad314496edbd6ee669c6de7ef5d79090ec2d5f9
DIST root_v5.32.01.source.tar.gz 55509057 RMD160 d218c89a98ba1350b801912da0766afd07de6677 SHA1 c108db0c20ea964b6d9027ed6173dbc29ca48564 SHA256 0cd3147f3d127386f63bb65a1ea16f8712dde730f55a7a48d847032bc48f2ca4

@ -0,0 +1,340 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/sci-physics/root/root-5.32.01.ebuild,v 1.1 2012/03/02 05:34:01 bicatali Exp $
EAPI=4
PYTHON_DEPEND="python? 2"
inherit versionator eutils fortran-2 elisp-common fdo-mime python toolchain-funcs flag-o-matic
#DOC_PV=$(get_major_version)_$(get_version_component_range 2)
DOC_PV=5_26
ROOFIT_DOC_PV=2.91-33
TMVA_DOC_PV=4.03
PATCH_PV=5.28.00b
PATCH_PV2=5.32.00
DESCRIPTION="C++ data analysis framework and interpreter from CERN"
HOMEPAGE="http://root.cern.ch/"
SRC_URI="ftp://root.cern.ch/${PN}/${PN}_v${PV}.source.tar.gz
doc? ( ftp://root.cern.ch/${PN}/doc/Users_Guide_${DOC_PV}.pdf
math? (
ftp://root.cern.ch/${PN}/doc/RooFit_Users_Manual_${ROOFIT_DOC_PV}.pdf
http://tmva.sourceforge.net/docu/TMVAUsersGuide.pdf -> TMVAUsersGuide-v${TMVA_DOC_PV}.pdf ) )"
SLOT="0"
LICENSE="LGPL-2.1"
KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
IUSE="+X afs avahi clarens doc emacs examples fits fftw graphviz kerberos ldap
llvm +math mpi mysql ncurses odbc +opengl openmp oracle postgres prefix
pythia6 pythia8 python +reflex ruby qt4 ssl xft xml xinetd xrootd"
CDEPEND="
app-arch/xz-utils
>=dev-lang/cfortran-4.4-r2
dev-libs/libpcre
media-libs/freetype
media-libs/giflib
media-libs/libpng:0
media-libs/tiff:0
sys-apps/shadow
sys-libs/zlib
virtual/jpeg
X? (
media-libs/ftgl
media-libs/glew
x11-libs/libX11
x11-libs/libXext
x11-libs/libXpm
|| ( >=media-libs/libafterimage-1.20 >=x11-wm/afterstep-2.2.11 )
opengl? ( virtual/opengl virtual/glu x11-libs/gl2ps )
qt4? (
x11-libs/qt-gui:4
x11-libs/qt-opengl:4
x11-libs/qt-qt3support:4
x11-libs/qt-svg:4
x11-libs/qt-webkit:4
x11-libs/qt-xmlpatterns:4 )
xft? ( x11-libs/libXft )
)
afs? ( net-fs/openafs )
avahi? ( net-dns/avahi )
clarens? ( dev-libs/xmlrpc-c[curl] )
emacs? ( virtual/emacs )
fits? ( sci-libs/cfitsio )
fftw? ( sci-libs/fftw:3.0 )
graphviz? ( media-gfx/graphviz )
kerberos? ( virtual/krb5 )
ldap? ( net-nds/openldap )
llvm? ( sys-devel/llvm )
math? ( sci-libs/gsl sci-mathematics/unuran mpi? ( virtual/mpi ) )
mysql? ( virtual/mysql )
ncurses? ( sys-libs/ncurses )
odbc? ( || ( dev-db/libiodbc dev-db/unixODBC ) )
oracle? ( dev-db/oracle-instantclient-basic )
postgres? ( dev-db/postgresql-base )
pythia6? ( sci-physics/pythia:6 )
pythia8? ( sci-physics/pythia:8 )
ruby? (
dev-lang/ruby
dev-ruby/rubygems )
ssl? ( dev-libs/openssl )
xml? ( dev-libs/libxml2 )
xrootd? ( net-libs/xrootd )"
DEPEND="${CDEPEND}
dev-util/pkgconfig"
RDEPEND="
virtual/fortran
${CDEPEND}
reflex? ( dev-cpp/gccxml )
xinetd? ( sys-apps/xinetd )"
REQUIRED_USE="!X? ( !opengl !qt4 !xft )"
S="${WORKDIR}/${PN}"
pkg_setup() {
fortran-2_pkg_setup
python_pkg_setup
echo
elog "There are extra options on packages not yet in Gentoo:"
elog "AliEn, castor, Chirp, dCache, gfal, gLite, Globus,"
elog "HDFS, Monalisa, MaxDB/SapDB, SRP."
elog "You can use the env variable EXTRA_ECONF variable for this."
elog "For example, for SRP, you would set: "
elog "EXTRA_ECONF=\"--enable-srp --with-srp-libdir=/usr/$(get_libdir)\""
echo
enewgroup rootd
enewuser rootd -1 -1 /var/spool/rootd rootd
if use math; then
if use openmp && [[ $(tc-getCC)$ == *gcc* ]] && ! tc-has-openmp; then
ewarn "You are using gcc and OpenMP is available with gcc >= 4.2"
ewarn "If you want to build this package with OpenMP, abort now,"
ewarn "and set CC to an OpenMP capable compiler"
elif use openmp; then
export USE_OPENMP=1 USE_PARALLEL_MINUIT2=1
elif use mpi; then
export USE_MPI=1 USE_PARALLEL_MINUIT2=1
fi
fi
}
src_prepare() {
epatch \
"${FILESDIR}"/${PN}-${PATCH_PV}-prop-ldflags.patch \
"${FILESDIR}"/${PN}-${PATCH_PV}-asneeded.patch \
"${FILESDIR}"/${PN}-${PATCH_PV2}-nobyte-compile.patch \
"${FILESDIR}"/${PN}-${PATCH_PV}-glibc212.patch \
"${FILESDIR}"/${PN}-${PATCH_PV}-unuran.patch \
"${FILESDIR}"/${PN}-${PATCH_PV2}-afs.patch \
"${FILESDIR}"/${PN}-${PATCH_PV2}-cfitsio.patch
# make sure we use system libs and headers
rm montecarlo/eg/inc/cfortran.h README/cfortran.doc
rm -rf graf2d/asimage/src/libAfterImage
rm -rf graf3d/ftgl/{inc,src}
rm -rf graf2d/freetype/src
rm -rf graf3d/glew/{inc,src}
rm -rf core/pcre/src
rm -rf math/unuran/src/unuran-*.tar.gz
LANG=C LC_ALL=C find core/zip -type f -name "[a-z]*" | xargs rm
rm -rf core/lzma/src/*.tar.gz
rm graf3d/gl/{inc,src}/gl2ps.*
sed -i -e 's/^GLLIBS *:= .* $(OPENGLLIB)/& -lgl2ps/' graf3d/gl/Module.mk
# In Gentoo, libPythia6 is called libpythia6
# libungif is called libgif,
# iodbc is in /usr/include/iodbc
# pg_config.h is checked instead of libpq-fe.h
sed -i \
-e 's:libPythia6:libpythia6:g' \
-e 's:ungif:gif:g' \
-e 's:$ODBCINCDIR:$ODBCINCDIR /usr/include/iodbc:' \
-e 's:libpq-fe.h:pg_config.h:' \
configure || die "adjusting configure for Gentoo failed"
# prefixify the configure script
sed -i \
-e 's:/usr:${EPREFIX}/usr:g' \
configure || die "prefixify configure failed"
# QTDIR only used for qt3 in gentoo, and configure looks for it.
unset QTDIR
}
src_configure() {
# the configure script is not the standard autotools
./configure \
--prefix="${EPREFIX}"/usr \
--etcdir="${EPREFIX}"/etc/root \
--libdir="${EPREFIX}"/usr/$(get_libdir)/${PN} \
--docdir="${EPREFIX}"/usr/share/doc/${PF} \
--tutdir="${EPREFIX}"/usr/share/doc/${PF}/examples/tutorials \
--testdir="${EPREFIX}"/usr/share/doc/${PF}/examples/tests \
--with-cc=$(tc-getCC) \
--with-cxx=$(tc-getCXX) \
--with-f77=$(tc-getFC) \
--with-sys-iconpath="${EPREFIX}"/usr/share/pixmaps \
--disable-builtin-afterimage \
--disable-builtin-freetype \
--disable-builtin-ftgl \
--disable-builtin-glew \
--disable-builtin-pcre \
--disable-builtin-zlib \
--disable-builtin-lzma \
--enable-astiff \
--enable-exceptions \
--enable-explicitlink \
--enable-gdml \
--enable-memstat \
--enable-shadowpw \
--enable-shared \
--enable-soversion \
--enable-table \
--fail-on-missing \
--with-afs-shared=yes \
$(use_enable X x11) \
$(use_enable X asimage) \
$(use_enable afs) \
$(use_enable avahi bonjour) \
$(use_enable clarens) \
$(use_enable clarens peac) \
$(use_enable ncurses editline) \
$(use_enable fits fitsio) \
$(use_enable fftw fftw3) \
$(use_enable graphviz gviz) \
$(use_enable kerberos krb5) \
$(use_enable ldap) \
$(use_enable llvm cling) \
$(use_enable math gsl-shared) \
$(use_enable math genvector) \
$(use_enable math mathmore) \
$(use_enable math minuit2) \
$(use_enable math roofit) \
$(use_enable math tmva) \
$(use_enable math unuran) \
$(use_enable mysql) \
$(use_enable odbc) \
$(use_enable opengl) \
$(use_enable postgres pgsql) \
$(use_enable prefix rpath) \
$(use_enable pythia6) \
$(use_enable pythia8) \
$(use_enable python) \
$(use_enable qt4 qt) \
$(use_enable qt4 qtgsi) \
$(use_enable reflex cintex) \
$(use_enable reflex) \
$(use_enable ruby) \
$(use_enable ssl) \
$(use_enable xft) \
$(use_enable xml) \
$(use_enable xrootd) \
${EXTRA_ECONF} \
|| die "configure failed"
}
src_compile() {
emake OPT="${CFLAGS}" F77OPT="${FFLAGS}" || die "emake failed"
if use emacs; then
elisp-compile build/misc/*.el || die "elisp-compile failed"
fi
}
doc_install() {
cd "${S}"
if use doc; then
einfo "Installing user's guides"
dodoc "${DISTDIR}"/Users_Guide_${DOC_PV}.pdf
use math && dodoc \
"${DISTDIR}"/RooFit_Users_Manual_${ROOFIT_DOC_PV}.pdf \
"${DISTDIR}"/TMVAUsersGuide-v${TMVA_DOC_PV}.pdf
fi
if use examples; then
# these should really be taken care of by the root make install
insinto /usr/share/doc/${PF}/examples/tutorials/tmva
doins -r tmva/test
else
rm -rf "${ED}"/usr/share/doc/${PF}/examples
fi
}
daemon_install() {
cd "${S}"
local daemons="rootd proofd"
dodir /var/spool/rootd
fowners rootd:rootd /var/spool/rootd
dodir /var/spool/rootd/{pub,tmp}
fperms 1777 /var/spool/rootd/{pub,tmp}
for i in ${daemons}; do
newinitd "${FILESDIR}"/${i}.initd ${i}
newconfd "${FILESDIR}"/${i}.confd ${i}
done
if use xinetd; then
insinto /etc/xinetd
doins etc/daemons/{rootd,proofd}.xinetd
fi
}
desktop_install() {
cd "${S}"
sed -e 's,@prefix@,/usr,' \
build/package/debian/root-system-bin.desktop.in > root.desktop
domenu root.desktop
doicon "${S}"/build/package/debian/root-system-bin.png
insinto /usr/share/icons/hicolor/48x48/mimetypes
doins build/package/debian/application-x-root.png
insinto /usr/share/icons/hicolor/48x48/apps
doicon build/package/debian/root-system-bin.xpm
}
src_install() {
emake DESTDIR="${D}" install || die "emake install failed"
echo "LDPATH=${EPREFIX}/usr/$(get_libdir)/root" > 99root
use pythia8 && echo "PYTHIA8=${EPREFIX}/usr" >> 99root
use python && echo "PYTHONPATH=${EPREFIX}/usr/$(get_libdir)/root" >> 99root
use ruby && echo "RUBYLIB=${EPREFIX}/usr/$(get_libdir)/root" >> 99root
doenvd 99root || die "doenvd failed"
# The build system installs Emacs support unconditionally and in the wrong
# directory. Remove it and call elisp-install in case of USE=emacs.
rm -rf "${ED}"/usr/share/emacs
if use emacs; then
elisp-install ${PN} build/misc/*.{el,elc} || die "elisp-install failed"
fi
doc_install
daemon_install
desktop_install
# Cleanup of files either already distributed or unused on Gentoo
rm "${ED}"usr/share/doc/${PF}/{INSTALL,LICENSE,COPYING.CINT}
rm "${ED}"usr/share/root/fonts/LICENSE
pushd "${ED}"usr/$(get_libdir)/root/cint/cint/lib > /dev/null
rm -f posix/mktypes dll_stl/setup \
G__* dll_stl/G__* dll_stl/rootcint_* posix/exten.o
rm -f "${ED}"usr/$(get_libdir)/root/cint/cint/include/makehpib
rm -f "${ED}"/etc/root/proof/*.sample
rm -rf "${ED}"/etc/root/daemons
popd > /dev/null
# these should be in PATH
mv "${ED}"usr/share/root/proof/utils/pq2/pq2* \
"${ED}"usr/bin
}
pkg_postinst() {
fdo-mime_desktop_database_update
use python && python_mod_optimize /usr/$(get_libdir)/root
}
pkg_postrm() {
fdo-mime_desktop_database_update
use python && python_mod_cleanup /usr/$(get_libdir)/root
}

@ -1,4 +1,6 @@
DIST tzcode2011i.tar.gz 135022 RMD160 c37e7813867af0f20d9cbf60ff1d7f0741ebba1d SHA1 4f58cede47df8bba55b37982d8b38cd65266d412 SHA256 f0dd991de3f8d6c599c104e294377c9befa1ef40aa5a1d09e2e295a453f3c1ec
DIST tzcode2012a.tar.gz 135103 RMD160 b498355392e7e141e12fc4ca3592cfec6e96ef00 SHA1 80e0c9efb067950f34826d0708ff61e72e019da5 SHA256 27b742eb8700cafd5eea06cd0c3781b9a23a2c1e5647728efc1b7048cb7f88a3
DIST tzcode2012b.tar.gz 135075 RMD160 25acce807c9e19d8294fe4dd8eac08fba9d796af SHA1 7172f71a23fb6fe8f99099f810d05366ed5d7130 SHA256 4345a2de239a7b6e5ab286052cc269eb07d63798ae14ba715eb4c6bdfa0f3350
DIST tzdata2011n.tar.gz 204684 RMD160 4a2a06ada05aca1ea99767caa1b23c6fcb88bcd3 SHA1 5435fae9844dc89f9d418aa956e161e23d1babdf SHA256 a343e542486b2b8ebdeca474eed79f1c04f69420ca943c2b9bdea1d2385e38cd
DIST tzdata2012a.tar.gz 207574 RMD160 b95722a2d42744bb217e11ace7b5bc7195f86d77 SHA1 5bd828d0845937da92c0518060a4aa8fbad81f8d SHA256 c28f731e19e7b612e26b2a41e9089ebe0c67bad422d2b7882e4b32983277ee7d
DIST tzdata2012b.tar.gz 207782 RMD160 b58bb8a633b664f5babed8a6681ecc25a039733d SHA1 cd7c43bf8ccf56d174a2b85d2da35e83fd8f1107 SHA256 2f9f8e2d1ae087be5917f60c3946e8dc3fe1068d7738c3395f2125135309e745

@ -0,0 +1,110 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/sys-libs/timezone-data/timezone-data-2012b.ebuild,v 1.1 2012/03/02 06:26:50 vapier Exp $
inherit eutils toolchain-funcs flag-o-matic
code_ver=${PV}
data_ver=${PV}
DESCRIPTION="Timezone data (/usr/share/zoneinfo) and utilities (tzselect/zic/zdump)"
HOMEPAGE="http://www.twinsun.com/tz/tz-link.htm https://mm.icann.org/mailman/listinfo/tz"
SRC_URI="ftp://munnari.oz.au/pub/tzdata${data_ver}.tar.gz
ftp://munnari.oz.au/pub/tzcode${code_ver}.tar.gz"
LICENSE="BSD public-domain"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~sparc-fbsd ~x86-fbsd"
IUSE="nls elibc_FreeBSD elibc_glibc"
RDEPEND="!<sys-libs/glibc-2.3.5"
S=${WORKDIR}
src_unpack() {
unpack ${A}
epatch "${FILESDIR}"/${PN}-2008h-makefile.patch
tc-is-cross-compiler && cp -pR "${S}" "${S}"-native
}
src_compile() {
local LDLIBS
tc-export CC
use elibc_FreeBSD && append-flags -DSTD_INSPIRED #138251
if use nls ; then
use elibc_glibc || LDLIBS="${LDLIBS} -lintl" #154181
export NLS=1
else
export NLS=0
fi
# Makefile uses LBLIBS for the libs (which defaults to LDFLAGS)
# But it also uses LFLAGS where it expects the real LDFLAGS
emake \
LDLIBS="${LDLIBS}" \
|| die "emake failed"
if tc-is-cross-compiler ; then
emake -C "${S}"-native \
CC=$(tc-getBUILD_CC) \
CFLAGS="${BUILD_CFLAGS}" \
LDFLAGS="${BUILD_LDFLAGS}" \
LDLIBS="${LDLIBS}" \
zic || die
fi
}
src_install() {
local zic=""
tc-is-cross-compiler && zic="zic=${S}-native/zic"
emake install ${zic} DESTDIR="${D}" || die
rm -rf "${D}"/usr/share/zoneinfo-leaps
dodoc README Theory
dohtml *.htm
}
pkg_config() {
# make sure the /etc/localtime file does not get stale #127899
local tz src etc_lt="${ROOT}etc/localtime"
if has_version '<sys-apps/baselayout-2' ; then
src="${ROOT}etc/conf.d/clock"
tz=$(unset TIMEZONE ; source "${src}" ; echo ${TIMEZONE-FOOKABLOIE})
else
src="${ROOT}etc/timezone"
if [[ -e ${src} ]] ; then
tz=$(sed -e 's:#.*::' -e 's:[[:space:]]*::g' -e '/^$/d' "${src}")
else
tz="FOOKABLOIE"
fi
fi
[[ -z ${tz} ]] && return 0
if [[ ${tz} == "FOOKABLOIE" ]] ; then
elog "You do not have TIMEZONE set in ${src}."
if [[ ! -e ${etc_lt} ]] ; then
# if /etc/localtime is a symlink somewhere, assume they
# know what they're doing and they're managing it themselves
if [[ ! -L ${etc_lt} ]] ; then
cp -f "${ROOT}"/usr/share/zoneinfo/Factory "${etc_lt}"
elog "Setting ${etc_lt} to Factory."
else
elog "Assuming your ${etc_lt} symlink is what you want; skipping update."
fi
else
elog "Skipping auto-update of ${etc_lt}."
fi
return 0
fi
if [[ ! -e ${ROOT}/usr/share/zoneinfo/${tz} ]] ; then
elog "You have an invalid TIMEZONE setting in ${src}"
elog "Your ${etc_lt} has been reset to Factory; enjoy!"
tz="Factory"
fi
einfo "Updating ${etc_lt} with ${ROOT}usr/share/zoneinfo/${tz}"
[[ -L ${etc_lt} ]] && rm -f "${etc_lt}"
cp -f "${ROOT}"/usr/share/zoneinfo/"${tz}" "${etc_lt}"
}
pkg_postinst() {
pkg_config
}

@ -1,4 +1 @@
DIST pybugz-0.8.0.tar.gz 37772 RMD160 165b907c1b107ba6254c4a0542d26a09210f5e72 SHA1 2f6769d13f69dd46b355aceaf304909b4b6fd0f6 SHA256 5b8c9b7b79886bfd0b609b561836a322c2cb6f308451f80166450acdc79b5c4e
DIST pybugz-0.9.0.tar.gz 27341 RMD160 a53c29407ec7e06bdba6729d5107b619740d5056 SHA1 9c5fd965f86baefd2338a395f270c329dc292996 SHA256 c77dfed38eaf23b91acb6d5c7dc5964a247bf07eb7ef90c80a777412fd32d557
DIST pybugz-0.9.2.tar.gz 27569 RMD160 b5456cc01843f1a94542fe207649bfb327aacdf1 SHA1 85677073dc3ca57d07ff6ccd04af1c9ab6cb682f SHA256 bda2172b230cfac094b0ac3ae3e7c13090a4c4dcd3b938be28bd6e127848be8f
DIST pybugz-0.9.3.tar.gz 28610 RMD160 45ba13d9bc5a94a7ba4056525f423285ef60b54f SHA1 1e533bda93ef5028bf515bc43e9a72b461038159 SHA256 e5fdbfb888de7f49563d42c1fad439373e036a7c211e369f9f28c93780844f78

@ -1,34 +0,0 @@
# Copyright 1999-2010 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/www-client/pybugz/pybugz-0.8.0.ebuild,v 1.12 2010/11/15 15:50:59 arfrever Exp $
EAPI="2"
PYTHON_DEPEND="2:2.5"
PYTHON_USE_WITH="readline"
SUPPORT_PYTHON_ABIS="1"
RESTRICT_PYTHON_ABIS="2.4 3.*"
PYTHON_MODNAME="bugz"
inherit bash-completion distutils
DESCRIPTION="Command line interface to (Gentoo) Bugzilla"
HOMEPAGE="http://www.liquidx.net/pybugz"
SRC_URI="http://pybugz.googlecode.com/files/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="alpha amd64 arm hppa ia64 ~mips ppc ppc64 sparc x86 ~ppc-aix ~x86-fbsd ~x86-freebsd ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x86-solaris"
IUSE="zsh-completion"
DEPEND=""
RDEPEND="zsh-completion? ( app-shells/zsh )"
src_install() {
distutils_src_install
dobashcompletion contrib/bash-completion bugz
if use zsh-completion ; then
insinto /usr/share/zsh/site-functions
newins contrib/zsh-completion _pybugz
fi
}

@ -1,44 +0,0 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/www-client/pybugz/pybugz-0.9.0.ebuild,v 1.6 2011/06/25 14:55:54 williamh Exp $
EAPI="2"
SUPPORT_PYTHON_ABIS="1"
RESTRICT_PYTHON_ABIS="2.4 3.*"
PYTHON_DEPEND="2:2.5"
PYTHON_MODNAME="bugz"
PYTHON_USE_WITH="readline"
if [ "${PV}" = "9999" ]; then
EGIT_REPO_URI="git://github.com/williamh/pybugz.git"
inherit git-2
else
SRC_URI="http://www.github.com/williamh/${PN}/tarball/${PV} -> ${P}.tar.gz"
KEYWORDS="alpha amd64 arm hppa ia64 ~mips ~ppc ~ppc64 sparc x86 ~ppc-aix ~x86-fbsd ~x86-freebsd ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x86-solaris"
GITHUB_COMMIT=5e9fe7a
S="${WORKDIR}/williamh-pybugz-${GITHUB_COMMIT}"
fi
inherit bash-completion distutils
DESCRIPTION="Command line interface to (Gentoo) Bugzilla"
HOMEPAGE="http://www.github.com/williamh/pybugz"
LICENSE="GPL-2"
SLOT="0"
IUSE="zsh-completion"
RDEPEND="${DEPEND}
|| ( dev-lang/python:2.7 dev-python/argparse )
zsh-completion? ( app-shells/zsh )"
src_install() {
distutils_src_install
doman man/bugz.1
dobashcompletion contrib/bash-completion bugz
if use zsh-completion ; then
insinto /usr/share/zsh/site-functions
newins contrib/zsh-completion _pybugz
fi
}

@ -1,45 +0,0 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/www-client/pybugz/pybugz-0.9.2.ebuild,v 1.6 2011/06/25 14:55:54 williamh Exp $
EAPI="3"
PYTHON_DEPEND="2:2.7"
PYTHON_MODNAME="bugz"
PYTHON_USE_WITH="readline"
if [ "${PV}" = "9999" ]; then
EGIT_REPO_URI="git://github.com/williamh/pybugz.git"
inherit git-2
else
SRC_URI="http://www.github.com/williamh/${PN}/tarball/${PV} -> ${P}.tar.gz"
KEYWORDS="alpha amd64 arm hppa ia64 ~mips ppc ~ppc64 sparc x86 ~ppc-aix ~x86-fbsd ~x86-freebsd ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x86-solaris"
GITHUB_COMMIT=d5c7024
S="${WORKDIR}/williamh-pybugz-${GITHUB_COMMIT}"
fi
inherit bash-completion distutils
DESCRIPTION="Command line interface to (Gentoo) Bugzilla"
HOMEPAGE="http://www.github.com/williamh/pybugz"
LICENSE="GPL-2"
SLOT="0"
IUSE="zsh-completion"
RDEPEND="${DEPEND}
zsh-completion? ( app-shells/zsh )"
pkg_setup() {
python_set_active_version 2.7
}
src_install() {
distutils_src_install
doman man/bugz.1
dobashcompletion contrib/bash-completion bugz
if use zsh-completion ; then
insinto /usr/share/zsh/site-functions
newins contrib/zsh-completion _pybugz
fi
}
Loading…
Cancel
Save